(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    200442,       6372]
NotebookOptionsPosition[     94892,       2737]
NotebookOutlinePosition[    190924,       6087]
CellTagsIndexPosition[    190627,       6075]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]",
      "SR"],
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LeftPointer]",
      "SR"],
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[RightPointer]",
      "SR"],
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LastPage]",
      "SR"],
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}],
     DefaultStyle->"SlideHyperlink"], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}],
      "SR"],
     ButtonFrame->"None"]}
   }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell["User Interface Construction and Typesetting", "Title",
 FontSize->36],

Cell["Typesetting, Boxes, and Notations.", "Subtitle",
 FontSize->24],

Cell["\<\
Jason Harris
Wolfram Research\
\>", "Author"],

Cell[CellGroupData[{

Cell["Abstract", "Section"],

Cell[TextData[{
 "This talk focuses on how typesetting works in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " from a user perspective and how to extend it. Boxes which underpin how \
typesetting in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " functions will be covered.  I will further outline various details of how \
typesetting is accomplished at an implementation level. A selection of some \
of the newer boxes in the upcoming version of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " will also be discussed. These will include some of the graphics boxes and \
dynamical boxes. Changes to the Notations package, along with a new specific \
box useful in notation handling will be demonstrated."
}], "Text"],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->"Previous Slide",
  DefaultStyle->"SlidePreviousNextLink"],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
  ButtonNote->"Next Slide",
  DefaultStyle->"SlidePreviousNextLink"]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}]& ),
     ButtonNote->"First Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LeftPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}]& ),
     ButtonNote->"Previous Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[RightPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}]& ),
     ButtonNote->"Next Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LastPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]& ),
     DefaultStyle->"SlideHyperlink"], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}],
      "SR"],
     ButtonFrame->"None"]}
   }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Typesetting and Boxes", "Section"],

Cell["\<\
Notations, Mathematics, Physics and sciences, throughout the centuries...\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["The Problem", "Section"],

Cell[CellGroupData[{

Cell["Visual form vs. Internal form", "Subsection"],

Cell[BoxData[
 RowBox[{
  SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"-", "x"}]], 
   RowBox[{"\[DifferentialD]", "x"}]}]}]], "Input"],

Cell["\<\
In here explain about boxes using an InputField, and corresponding Dynamic\
\>", "TechnicalNote"],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->"Previous Slide",
  DefaultStyle->"SlidePreviousNextLink"],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
  ButtonNote->"Next Slide",
  DefaultStyle->"SlidePreviousNextLink"]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}]& ),
     ButtonNote->"First Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LeftPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}]& ),
     ButtonNote->"Previous Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[RightPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}]& ),
     ButtonNote->"Next Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LastPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]& ),
     DefaultStyle->"SlideHyperlink"], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}],
      "SR"],
     ButtonFrame->"None"]}
   }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["MakeExpression & MakeBoxes", "Section"],

Cell[BoxData[
 RowBox[{"1", "+", "1"}]], "Input"],

Cell[CellGroupData[{

Cell["Evaluation Model", "Subsection"],

Cell[GraphicsData["CompressedBitmap", "\<\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\
\>"], "Graphics",
 Evaluatable->False,
 ImageSize->{474., 239.5},
 ImageMargins->{{87, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}}],

Cell["\<\
Parsing \t\[LongLeftRightArrow] \tMakeExpression
Formatting \t\[LongLeftRightArrow] \tMakeBoxes\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example Vectors", "Subsection"],

Cell["MakeExpression for Vector", "TechnicalNote"],

Cell[BoxData[
 UnderscriptBox["t", "~"]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MakeExpression", "[", 
   RowBox[{
    RowBox[{"UnderscriptBox", "[", 
     RowBox[{"t_", ",", "\"\<~\>\""}], "]"}], ",", "StandardForm"}], "]"}], ":=",
   "\[IndentingNewLine]", 
  RowBox[{"MakeExpression", "[", 
   RowBox[{
    RowBox[{"RowBox", "[", 
     RowBox[{"{", 
      RowBox[{
      "\"\<MyVector\>\"", ",", "\"\<[\>\"", ",", "t", ",", "\"\<]\>\""}], 
      "}"}], "]"}], ",", "StandardForm"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MakeBoxes", "[", 
   RowBox[{
    RowBox[{"MyVector", "[", "t_", "]"}], ",", "StandardForm"}], "]"}], ":=", 
  
  RowBox[{"UnderscriptBox", "[", 
   RowBox[{
    RowBox[{"MakeBoxes", "[", 
     RowBox[{"t", ",", "StandardForm"}], "]"}], ",", "\"\<~\>\""}], 
   "]"}]}]], "Input"],

Cell["MakeBoxes for Vector", "TechnicalNote"],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->"Previous Slide",
  DefaultStyle->"SlidePreviousNextLink"],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
  ButtonNote->"Next Slide",
  DefaultStyle->"SlidePreviousNextLink"]
}], "PreviousNext"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}]& ),
     ButtonNote->"First Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LeftPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}]& ),
     ButtonNote->"Previous Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[RightPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}]& ),
     ButtonNote->"Next Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LastPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]& ),
     DefaultStyle->"SlideHyperlink"], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}],
      "SR"],
     ButtonFrame->"None"]}
   }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Implementation of the Typsetting system", "Section"],

Cell["Box Parser", "BulletedList"],

Cell["Traditional Text editors", "TechnicalNote"],

Cell["Formatting", "BulletedList"],

Cell[BoxData[
 RowBox[{"a", "+", 
  RowBox[{
   SuperscriptBox["x", "2"], " ", "make", " ", "Italic"}]}]], "TechnicalNote"],

Cell["Box Tree", "BulletedList"],

Cell["Drawing", "BulletedList"],

Cell["Selection", "BulletedList"],

Cell["I/O", "BulletedList"],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->"Previous Slide",
  DefaultStyle->"SlidePreviousNextLink"],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
  ButtonNote->"Next Slide",
  DefaultStyle->"SlidePreviousNextLink"]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}]& ),
     ButtonNote->"First Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LeftPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}]& ),
     ButtonNote->"Previous Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[RightPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}]& ),
     ButtonNote->"Next Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LastPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]& ),
     DefaultStyle->"SlideHyperlink"], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}],
      "SR"],
     ButtonFrame->"None"]}
   }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Tag Boxes", "Section"],

Cell[CellGroupData[{

Cell["Example", "Subsection"],

Cell["Consider the traditional form of a LegendreP function.", "Text"],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    SubscriptBox[
     TagBox["P",
      LegendreP], "n"], "(", "x", ")"}], "//", "FullForm"}], 
  TraditionalForm]], "TechnicalNote"],

Cell[TextData[{
 "TagBoxes are invisable tags that have the form ",
 StyleBox["TagBox[", "Input"],
 StyleBox["boxes",
  FontSlant->"Italic"],
 StyleBox[",", "Input"],
 StyleBox["tag",
  FontSlant->"Italic"],
 StyleBox["]", "Input"],
 ". ",
 StyleBox["tag",
  FontSlant->"Italic"],
 " can be any expression.Tag Boxes are used to invisably \"tag\" a box \
structure so we can identify it later. TagBoxes are used frequently to achive \
various ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " typsetting constructs."
}], "Text"],

Cell["Other uses of TagBoxes", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Placeholders", "Subsection"],

Cell[BoxData[
 RowBox[{
  SubsuperscriptBox["\[Integral]", "\[Placeholder]", "\[Placeholder]"], 
  RowBox[{
   TagBox["fillMeIn",
    "GeneralizedPlaceholder"], 
   RowBox[{"\[DifferentialD]", "x"}]}]}]], "Input"],

Cell["Event Tag Boxes, etc.", "Text"],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->"Previous Slide",
  DefaultStyle->"SlidePreviousNextLink"],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
  ButtonNote->"Next Slide",
  DefaultStyle->"SlidePreviousNextLink"]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}]& ),
     ButtonNote->"First Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LeftPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}]& ),
     ButtonNote->"Previous Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[RightPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}]& ),
     ButtonNote->"Next Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LastPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]& ),
     DefaultStyle->"SlideHyperlink"], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}],
      "SR"],
     ButtonFrame->"None"]}
   }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Graphics Boxes", "Section"],

Cell["All displayed graphics are actually boxes.", "Text"],

Cell["\<\
Graphics @ Table[Line @ {{Random[],Random[]},{Random[],Random[]}},{5}]\
\>", "TechnicalNote"],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->"Previous Slide",
  DefaultStyle->"SlidePreviousNextLink"],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
  ButtonNote->"Next Slide",
  DefaultStyle->"SlidePreviousNextLink"]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}]& ),
     ButtonNote->"First Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LeftPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}]& ),
     ButtonNote->"Previous Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[RightPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}]& ),
     ButtonNote->"Next Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LastPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]& ),
     DefaultStyle->"SlideHyperlink"], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}],
      "SR"],
     ButtonFrame->"None"]}
   }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Box generators", "Section"],

Cell[CellGroupData[{

Cell["Style", "Subsubsection"],

Cell[BoxData[
 RowBox[{"3", "+", 
  RowBox[{"Style", "[", 
   RowBox[{"bob", ",", 
    RowBox[{"FontSize", "->", "50"}]}], "]"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Grid", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Grid", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"c", ",", "d"}], "}"}]}], "}"}], "]"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Button", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Button", "[", 
  RowBox[{"\"\<Hi There\>\"", ",", 
   RowBox[{"Print", " ", "@", " ", "\"\<Hello\>\""}]}], "]"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Slider", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Slider", "[", 
  RowBox[{"Dynamic", "[", "x", "]"}], "]"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Checkbox", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Checkbox", "[", 
  RowBox[{"Dynamic", "[", "w", "]"}], "]"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Setting", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Setting", "[", SliderBox[0.5], "]"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Give", "Subsubsection"],

Cell["\<\
Give is a construct for creating a box structure according to the following \
form\
\>", "Text"],

Cell[TextData[{
 "Give[",
 StyleBox["variables",
  FontSlant->"Italic"],
 ", ",
 StyleBox["apperance",
  FontSlant->"Italic"],
 ", ",
 StyleBox["interpretation",
  FontSlant->"Italic"],
 "]"
}], "Text"],

Cell[TextData[{
 "Which appears like the ",
 StyleBox["apperance",
  FontSlant->"Italic"],
 " but evaluates according to the ",
 StyleBox["interpretation",
  FontSlant->"Italic"],
 "."
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Built Example", "Text"]], "Subsubsection"],

Cell[BoxData[
 RowBox[{"Give", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "=", 
      RowBox[{"MakeBoxes", "[", 
       RowBox[{
        SuperscriptBox["x", "2"], ",", "StandardForm"}], "]"}]}], ",", 
     RowBox[{"var", "=", 
      RowBox[{"MakeBoxes", "[", 
       RowBox[{"x", ",", "StandardForm"}], "]"}]}]}], "}"}], ",", 
   RowBox[{"Deploy", "@", 
    RowBox[{"Panel", " ", "@", " ", 
     RowBox[{"Grid", " ", "@", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\<Integrate\>\"", ",", "SpanFromLeft"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"\"\<Function\>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{
            RowBox[{"Dynamic", "[", "f", "]"}], ",", "Boxes"}], "]"}]}], 
         "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"\"\<Variable\>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{
            RowBox[{"Dynamic", "[", "var", "]"}], ",", "Boxes"}], "]"}]}], 
         "}"}]}], "}"}]}]}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"ReleaseHold", " ", "@", 
    RowBox[{"MakeExpression", "[", 
     RowBox[{
      RowBox[{"RowBox", "[", 
       RowBox[{"{", 
        RowBox[{"\"\<Integrate\>\"", ",", "\"\<[\>\"", ",", 
         RowBox[{"RowBox", "[", 
          RowBox[{"{", 
           RowBox[{"f", ",", "\"\<,\>\"", ",", "var"}], "}"}], "]"}], ",", 
         "\"\<]\>\""}], "}"}], "]"}], ",", "StandardForm"}], "]"}]}]}], 
  "]"}]], "Input"],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->"Previous Slide",
  DefaultStyle->"SlidePreviousNextLink"],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
  ButtonNote->"Next Slide",
  DefaultStyle->"SlidePreviousNextLink"]
}], "PreviousNext"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}]& ),
     ButtonNote->"First Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LeftPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}]& ),
     ButtonNote->"Previous Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[RightPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}]& ),
     ButtonNote->"Next Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LastPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]& ),
     DefaultStyle->"SlideHyperlink"], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}],
      "SR"],
     ButtonFrame->"None"]}
   }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Dynamic Boxes", "Section"],

Cell["How these work.", "TechnicalNote"],

Cell["Start with a Dynamic @ x", "TechnicalNote"],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->"Previous Slide",
  DefaultStyle->"SlidePreviousNextLink"],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
  ButtonNote->"Next Slide",
  DefaultStyle->"SlidePreviousNextLink"]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}]& ),
     ButtonNote->"First Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LeftPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}]& ),
     ButtonNote->"Previous Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[RightPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}]& ),
     ButtonNote->"Next Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LastPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]& ),
     DefaultStyle->"SlideHyperlink"], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}],
      "SR"],
     ButtonFrame->"None"]}
   }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["The Notation package", "Section"],

Cell[BoxData[
 RowBox[{"<<", "Utilities`Notation`"}]], "Input"],

Cell[TextData[{
 "The notation package allows us to automate the process that has been \
described for creating notations. A notation statement is of the form:\n  \
Notation[",
 StyleBox["ExternalForm",
  FontSlant->"Italic"],
 " \[DoubleLongLeftRightArrow] ",
 StyleBox["InternalForm",
  FontSlant->"Italic"],
 "]"
}], "Text"],

Cell["Example: ring addition, ring multiplication.", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", 
   SubscriptBox["*", "\[ScriptCapitalR]"], "b"}], 
  SubscriptBox["+", "\[ScriptCapitalR]"], "c"}]], "Input"],

Cell[BoxData[{
 RowBox[{"Notation", "[", 
  RowBox[{
   TagBox[
    RowBox[{"a_", 
     SubscriptBox["+", "\[ScriptCapitalR]"], "b_"}],
    Utilities`Notation`NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle"], " ", 
   "\[DoubleLongLeftRightArrow]", " ", 
   TagBox[
    RowBox[{"RingPlus", "[", 
     RowBox[{"a_", ",", "b_"}], "]"}],
    Utilities`Notation`NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle"]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Notation", "[", 
  RowBox[{
   TagBox[
    RowBox[{"a_", 
     SubscriptBox["*", "\[ScriptCapitalR]"], "b_"}],
    Utilities`Notation`NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle"], " ", 
   "\[DoubleLongLeftRightArrow]", " ", 
   TagBox[
    RowBox[{"RingTimes", "[", 
     RowBox[{"a_", ",", "b_"}], "]"}],
    Utilities`Notation`NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle"]}], "]"}]}], "Input"],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->"Previous Slide",
  DefaultStyle->"SlidePreviousNextLink"],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
  ButtonNote->"Next Slide",
  DefaultStyle->"SlidePreviousNextLink"]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}]& ),
     ButtonNote->"First Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LeftPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}]& ),
     ButtonNote->"Previous Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[RightPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}]& ),
     ButtonNote->"Next Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LastPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]& ),
     DefaultStyle->"SlideHyperlink"], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}],
      "SR"],
     ButtonFrame->"None"]}
   }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Laplacian", "Subsection"],

Cell[BoxData[
 RowBox[{"Notation", "[", 
  RowBox[{
   TagBox[
    RowBox[{
     UnderscriptBox[
      SuperscriptBox["\[Del]", "2"], 
      "\[ScriptC]\[ScriptO]\[ScriptO]\[ScriptR]\[ScriptD]\[ScriptS]__"], 
     "\[ScriptF]_"}],
    NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle"], " ", 
   "\[DoubleLongLeftRightArrow]", " ", 
   TagBox[
    RowBox[{"Laplacian", "[", 
     RowBox[{
     "\[ScriptF]_", ",", 
      "\[ScriptC]\[ScriptO]\[ScriptO]\[ScriptR]\[ScriptD]\[ScriptS]__"}], 
     "]"}],
    NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle"]}], "]"}]], "Input",
 CellTags->"index00040"],

Cell["We can define rules in  terms of our notations", "Text"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   UnderscriptBox[
    SuperscriptBox["\[Del]", "2"], 
    RowBox[{"x", ",", "y", ",", "z"}]], "\[ScriptF]_"}], ":=", 
  RowBox[{
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"x", ",", "x"}]], "\[ScriptF]"}], "+", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"y", ",", "y"}]], "\[ScriptF]"}], "+", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"z", ",", "z"}]], "\[ScriptF]"}]}]}], "\n", 
 RowBox[{
  RowBox[{
   UnderscriptBox[
    SuperscriptBox["\[Del]", "2"], 
    RowBox[{"r", ",", "\[Theta]"}]], "\[ScriptF]_"}], ":=", 
  RowBox[{
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"r", ",", "r"}]], "\[ScriptF]"}], "+", 
   RowBox[{
    FractionBox["1", "r"], 
    RowBox[{
     SubscriptBox["\[PartialD]", "r"], "\[ScriptF]"}]}], "+", 
   RowBox[{
    FractionBox["1", 
     SuperscriptBox["r", "2"]], 
    RowBox[{
     SubscriptBox["\[PartialD]", 
      RowBox[{"\[Theta]", ",", "\[Theta]"}]], "\[ScriptF]"}]}]}]}]}], "Input",\

 CellTags->"index00041"],

Cell[BoxData[
 RowBox[{
  UnderscriptBox[
   SuperscriptBox["\[Del]", "2"], 
   RowBox[{"x", ",", "y", ",", "z"}]], 
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["x", "2"], 
    SuperscriptBox["y", "3"], 
    SuperscriptBox["z", "4"]}], ")"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  UnderscriptBox[
   SuperscriptBox["\[Del]", "2"], 
   RowBox[{"r", ",", "\[Theta]"}]], 
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["r", "4"], 
    RowBox[{"Sin", "[", 
     RowBox[{"2", "\[Theta]"}], "]"}]}], ")"}]}]], "Input"],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->"Previous Slide",
  DefaultStyle->"SlidePreviousNextLink"],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
  ButtonNote->"Next Slide",
  DefaultStyle->"SlidePreviousNextLink"]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}]& ),
     ButtonNote->"First Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LeftPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}]& ),
     ButtonNote->"Previous Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[RightPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}]& ),
     ButtonNote->"Next Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LastPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]& ),
     DefaultStyle->"SlideHyperlink"], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}],
      "SR"],
     ButtonFrame->"None"]}
   }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["5 Templated Structures", "Section"],

Cell[TextData[{
 "The basic goal of a templated structure is allow the inner parts of the \
template to be editable, but not the structural parts of the template. \
Templated structures occur commenly in TraditionalForm ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " typesetting."
}], "Text"],

Cell[BoxData[
 RowBox[{"Binomial", "[", 
  RowBox[{"a", ",", "b"}], "]"}]], "Input"],

Cell["\<\
However this is large amount of \"stuff\" to carry around for each instance, \
more compactly we could use a structure like the following\
\>", "Text"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"TagBox", "[", 
   RowBox[{
    RowBox[{"RowBox", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{"\[Ellipsis]", ",", "\[IndentingNewLine]", 
       RowBox[{"TagBox", "[", 
        RowBox[{"\"\<\[Placeholder]\>\"", ",", "InnerTag", ",", 
         RowBox[{"DefaultStyle", "\[Rule]", "\"\<InnerStyle\>\""}]}], "]"}], 
       ",", "\[IndentingNewLine]", "\[Ellipsis]"}], "}"}], "]"}], ",", 
    "\[IndentingNewLine]", "OuterTag", ",", 
    RowBox[{"DefaultStyle", "\[Rule]", "\"\<OuterStyle\>\""}]}], 
   "]"}]}]], "Input",
 Evaluatable->False],

Cell[TextData[{
 "Where the ",
 StyleBox["OuterStyle", "Input"],
 " sets ",
 StyleBox["Editable", "Input"],
 " and ",
 StyleBox["Selectable", "Input"],
 " to ",
 StyleBox["False", "Input"],
 ", whereas the ",
 StyleBox["InnerStyle", "Input"],
 " sets these to ",
 StyleBox["True", "Input"],
 ". More fully we would define these as:"
}], "Text"],

Cell["\<\
Cell[StyleData[\"OuterStyle\"],
  StyleMenuListing->None,
  TagBoxOptions->{
    Editable->False,
    Selectable->False}]\
\>", "DisplayCellStructure",
 Evaluatable->False],

Cell["\<\
Cell[StyleData[\"InnerStyle\"],
  StyleMenuListing->None,
  TagBoxOptions->{
    Editable->True,
    Selectable->True}]\
\>", "DisplayCellStructure",
 Evaluatable->False],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->"Previous Slide",
  DefaultStyle->"SlidePreviousNextLink"],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
  ButtonNote->"Next Slide",
  DefaultStyle->"SlidePreviousNextLink"]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}]& ),
     ButtonNote->"First Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LeftPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}]& ),
     ButtonNote->"Previous Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[RightPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}]& ),
     ButtonNote->"Next Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LastPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]& ),
     DefaultStyle->"SlideHyperlink"], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}],
      "SR"],
     ButtonFrame->"None"]}
   }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Bra's & Ket's", "Section"],

Cell[TextData[{
 "Ket\[CloseCurlyQuote]s are denoted ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", "\[Psi]"}], "\[RightAngleBracket]"}], TraditionalForm]]]
}], "Text",
 AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}],

Cell["Bra\[CloseCurlyQuote]s are denoted \[LeftAngleBracket]\[Psi]| ", "Text"],

Cell["Show free form entry", "TechnicalNote"],

Cell["One might think that the box structure would be:", "Text"],

Cell[BoxData[
 RowBox[{"TagBox", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"RowBox", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"\"\<\[VerticalSeparator]\>\"", ",", "\[IndentingNewLine]", 
      RowBox[{"TagBox", "[", 
       RowBox[{"\"\<a\>\"", ",", "\"\<KetArg\>\""}], "]"}], ",", 
      "\[IndentingNewLine]", "\"\<\[RightAngleBracket]\>\""}], 
     "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
   "\"\<KetWrapper\>\""}], "]"}]], "Input"],

Cell["\<\
However, owing to spacing considerations we need to add some adjustment boxes \
into the structure, and also add some styles to the style sheet. If we plug \
in all the styles from the style sheet to get a single box structure it looks \
like the following:\
\>", "Text"],

Cell[BoxData[
 TagBox[
  StyleBox[
   AdjustmentBox[
    RowBox[{"\[VerticalSeparator]", 
     StyleBox[
      AdjustmentBox[
       TagBox["a",
        "TempTag",
        Editable->True,
        Selectable->True],
       BoxMargins->{{-0.25, 0}, {0, 0}}],
      AutoStyleOptions->{"SyntaxErrorStyle"->"UnmatchedBracket"},
      SpanMinSize->Automatic], "\[RightAngleBracket]"}],
    BoxMargins->{{-0.4, 0}, {0, 0}}],
   AutoStyleOptions->{"SyntaxErrorStyle"->None},
   SpanMinSize->2],
  "TempTag",
  Editable->False,
  Selectable->False,
  SyntaxForm->"symbol"]], "Input"],

Cell["This is truely scary!", "Text"],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->"Previous Slide",
  DefaultStyle->"SlidePreviousNextLink"],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
  ButtonNote->"Next Slide",
  DefaultStyle->"SlidePreviousNextLink"]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}]& ),
     ButtonNote->"First Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LeftPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}]& ),
     ButtonNote->"Previous Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[RightPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}]& ),
     ButtonNote->"Next Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LastPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]& ),
     DefaultStyle->"SlideHyperlink"], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}],
      "SR"],
     ButtonFrame->"None"]}
   }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Template Boxes", "Section"],

Cell["\<\
Template boxes allow us to put almost all of the repeatdly common information \
about a box structure onto the style sheet. This has several advantages.\
\>", "Text"],

Cell[TextData[{
 StyleBox["slotExpr",
  FontSlant->"Italic"],
 " + ",
 StyleBox["BoxWrapper",
  FontSlant->"Italic"],
 " \[LongRightArrow] ",
 StyleBox["WrappedBox",
  FontSlant->"Italic"]
}], "Text"],

Cell["\<\
The structures in the expressions one is editing are much more managable in \
terms of reading.\
\>", "BulletedList"],

Cell["They are much smaller in terms of file size.", "BulletedList"],

Cell["Efficiency in Parsing / Formatting for large expressions.", \
"BulletedList"],

Cell["\<\
They allow one to easily change the appearance of a notation in one or many \
notebooks in a uniform way.\
\>", "BulletedList"],

Cell[TextData[{
 "A template box has the following form:\n\t",
 StyleBox["TemplateBox",
  FontWeight->"Bold"],
 "[",
 StyleBox["slotBox",
  FontSlant->"Italic"],
 ", ",
 StyleBox["tag",
  FontSlant->"Italic"],
 ", Wrapper\[Rule]",
 StyleBox["BoxFunction,",
  FontSlant->"Italic"],
 " Style\[Rule]",
 StyleBox["SomeStyle",
  FontSlant->"Italic"],
 "]"
}], "Text"],

Cell[TextData[{
 "Moreover if ",
 StyleBox["tag",
  FontSlant->"Italic"],
 " is a string which refers to a valid style that style will be used as the \
box style. Thus here is the box structure for our simple Vector we had \
before"
}], "Text"],

Cell["Enter Vector here", "TechnicalNote"],

Cell["Explain the magic", "TechnicalNote"],

Cell["Binomial's", "TechnicalNote"],

Cell[RawData["\<\
Cell[BoxData[TemplateBox[{\"a\",\"d\"},
  \"Binomial\"]], \"Input\"]\
\>"], "Input"],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->"Previous Slide",
  DefaultStyle->"SlidePreviousNextLink"],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
  ButtonNote->"Next Slide",
  DefaultStyle->"SlidePreviousNextLink"]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}]& ),
     ButtonNote->"First Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LeftPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}]& ),
     ButtonNote->"Previous Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[RightPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}]& ),
     ButtonNote->"Next Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LastPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]& ),
     DefaultStyle->"SlideHyperlink"], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}],
      "SR"],
     ButtonFrame->"None"]}
   }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Bra's & Ket's Using TemplateBoxes", "Section"],

Cell["Here are the notations for these structures", "Text"],

Cell[BoxData[
 RowBox[{"Notation", "[", 
  RowBox[{
   TagBox[TemplateBox["a__",
     "KetStyle"],
    Utilities`Notation`NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle"], " ", 
   "\[DoubleLongLeftRightArrow]", " ", 
   TagBox[
    RowBox[{"Ket", "[", "a__", "]"}],
    Utilities`Notation`NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle"]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Notation", "[", 
  RowBox[{
   TagBox[TemplateBox["a__",
     "BraStyle"],
    Utilities`Notation`NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle"], " ", 
   "\[DoubleLongLeftRightArrow]", " ", 
   TagBox[
    RowBox[{"Bra", "[", "a__", "]"}],
    Utilities`Notation`NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle"]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Notation", "[", 
  RowBox[{
   TagBox[
    TagBox[
     RowBox[{"\[LeftAngleBracket]", 
      AdjustmentBox[
       RowBox[{
        TagBox["\[Psi]f__",
         "BraKetArgs",
         DefaultStyle->"BraKetArg"], "\[VerticalSeparator]", 
        TagBox["\[Psi]i__",
         "BraKetArgs",
         DefaultStyle->"BraKetArg"]}],
       BoxBaselineShift->0], "\[RightAngleBracket]"}],
     "BraKet",
     DefaultStyle->"BraKetWrapper",
     SyntaxForm->"symbol"],
    NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle",
    Editable->True], " ", "\[DoubleLongLeftRightArrow]", " ", 
   TagBox[
    RowBox[{"BraKet", "[", 
     RowBox[{
      RowBox[{"{", "\[Psi]f__", "}"}], ",", 
      RowBox[{"{", "\[Psi]i__", "}"}]}], "]"}],
    NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle",
    Editable->True]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Bra", "[", 
   SubscriptBox["\[Psi]", "f"], "]"}], "\[CenterDot]", 
  OverscriptBox["\[ScriptCapitalH]", "^"], "\[CenterDot]", 
  RowBox[{"Ket", "[", 
   SubscriptBox["\[Psi]", "i"], "]"}]}]], "Input"],

Cell["\<\
It is important to have as much of the styling information on the style sheet \
as possible. Then styling changes can be made to the whole notebook at once.\
\>", "Text"],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->"Previous Slide",
  DefaultStyle->"SlidePreviousNextLink"],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
  ButtonNote->"Next Slide",
  DefaultStyle->"SlidePreviousNextLink"]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}]& ),
     ButtonNote->"First Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LeftPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}]& ),
     ButtonNote->"Previous Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[RightPointer]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}]& ),
     ButtonNote->"Next Slide",
     DefaultStyle->"SlideHyperlink"], 
    ButtonBox[
     StyleBox["\[LastPage]",
      "SR"],
     ButtonFunction:>(FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]& ),
     DefaultStyle->"SlideHyperlink"], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}],
      "SR"],
     ButtonFrame->"None"]}
   }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Example: Angular Momentum", "Section"],

Cell[CellGroupData[{

Cell["Set-ups", "Subsection"],

Cell[BoxData[
 RowBox[{"Notation", "[", 
  RowBox[{
   TagBox[
    OverscriptBox["\[ScriptCapitalH]_", "^"],
    NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle",
    Editable->True], " ", "\[DoubleLongLeftRightArrow]", " ", 
   TagBox[
    RowBox[{"Operator", "[", "\[ScriptCapitalH]_", "]"}],
    NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle",
    Editable->True]}], "]"}]], "Input",
 CellTags->"index00190"],

Cell[BoxData[
 RowBox[{"Notation", "[", 
  RowBox[{
   TagBox[
    SubscriptBox["\[Lambda]_", 
     OverscriptBox["\[ScriptCapitalH]_", "^"]],
    NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle",
    Editable->True], " ", "\[DoubleLongLeftRightArrow]", " ", 
   TagBox[
    RowBox[{"EigenLabel", "[", 
     RowBox[{"\[Lambda]_", ",", 
      OverscriptBox["\[ScriptCapitalH]_", "^"]}], "]"}],
    NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle",
    Editable->True]}], "]"}]], "Input"],

Cell[TextData[{
 "Denote the angular momentum ket ",
 Cell[BoxData[
  TagBox[
   RowBox[{"\[VerticalSeparator]", 
    AdjustmentBox[
     TagBox[
      RowBox[{
       SubscriptBox["j", 
        OverscriptBox["J", "^"]], ",", 
       SubscriptBox["m", 
        OverscriptBox[
         SubscriptBox["J", "z"], "^"]]}],
      "KetArgs",
      DefaultStyle->"BraKetArg"],
     BoxBaselineShift->0], "\[RightAngleBracket]"}],
   "Ket",
   DefaultStyle->"KetWrapper"]]]
}], "Text",
 CellTags->"index00191"],

Cell[TextData[{
 "Denote the operation of ",
 StyleBox["NonCommutativeTimes", "MR"],
 " by \[OpenCurlyQuote]\[CenterDot]\[CloseCurlyQuote]"
}], "Text"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"InfixNotation", "[", 
   RowBox[{
    TagBox["\[CenterDot]",
     NotationBoxTag,
     DefaultStyle->"NotationTemplateStyle",
     Editable->True,
     SyntaxForm->"a"], ",", 
    TagBox["NonCommutativeTimes",
     Identity]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"NonCommutativeTimes", " ", "@", " ", "a_"}], ":=", "a"}], 
  ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetAttributes", "[", 
   RowBox[{"NonCommutativeTimes", ",", 
    RowBox[{"{", 
     RowBox[{"Flat", ",", "OneIdentity"}], "}"}]}], "]"}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Symbolize", "[", 
   TagBox[
    SubscriptBox["J", "+"],
    NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle",
    Editable->True], "]"}], ";", 
  RowBox[{"Symbolize", "[", 
   TagBox[
    SubscriptBox["J", "-"],
    NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle",
    Editable->True], "]"}], ";", 
  RowBox[{"Symbolize", "[", 
   TagBox[
    SubscriptBox["J", "z"],
    NotationBoxTag,
    DefaultStyle->"NotationTemplateStyle",
    Editable->True], "]"}]}]], "Input",
 CellTags->"index00193"],

Cell["Raising and Lowering Operators", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   OverscriptBox[
    SubscriptBox["J", "z"], "^"], "\[CenterDot]", TemplateBox[RowBox[{
      SubscriptBox["j_", 
       OverscriptBox["J", "^"]], ",", 
      SubscriptBox["m_", 
       OverscriptBox[
        SubscriptBox["J", "z"], "^"]]}],
    "KetStyle"]}], ":=", 
  RowBox[{"m", " ", "\[HBar]", " ", TemplateBox[RowBox[{
      SubscriptBox["j", 
       OverscriptBox["J", "^"]], ",", 
      SubscriptBox["m", 
       OverscriptBox[
        SubscriptBox["J", "z"], "^"]]}],
    "KetStyle"]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   OverscriptBox[
    SubscriptBox["J", "+"], "^"], "\[CenterDot]", TemplateBox[RowBox[{
      SubscriptBox["j_", 
       OverscriptBox["J", "^"]], ",", 
      SubscriptBox["m_", 
       OverscriptBox[
        SubscriptBox["J", "z"], "^"]]}],
    "KetStyle"]}], ":=", 
  RowBox[{"\[HBar]", " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"j", " ", 
      RowBox[{"(", 
       RowBox[{"j", "+", "1"}], ")"}]}], "-", 
     RowBox[{"m", " ", 
      RowBox[{"(", 
       RowBox[{"m", "+", "1"}], ")"}]}]}]], " ", TemplateBox[RowBox[{
      SubscriptBox["j", 
       OverscriptBox["J", "^"]], ",", 
      SubscriptBox[
       RowBox[{"(", 
         RowBox[{"m", "+", "1"}], ")"}], 
       OverscriptBox[
        SubscriptBox["J", "z"], "^"]]}],
    "KetStyle"]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   OverscriptBox[
    SubscriptBox["J", "-"], "^"], "\[CenterDot]", TemplateBox[RowBox[{
      SubscriptBox["j_", 
       OverscriptBox["J", "^"]], ",", 
      SubscriptBox["m_", 
       OverscriptBox[
        SubscriptBox["J", "z"], "^"]]}],
    "KetStyle"]}], ":=", 
  RowBox[{"\[HBar]", " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"j", " ", 
      RowBox[{"(", 
       RowBox[{"j", "+", "1"}], ")"}]}], "-", 
     RowBox[{"m", " ", 
      RowBox[{"(", 
       RowBox[{"m", "-", "1"}], ")"}]}]}]], " ", TemplateBox[RowBox[{
      SubscriptBox["j", 
       OverscriptBox["J", "^"]], ",", 
      SubscriptBox[
       RowBox[{"(", 
         RowBox[{"m", "-", "1"}], ")"}], 
       OverscriptBox[
        SubscriptBox["J", "z"], "^"]]}],
    "KetStyle"]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  OverscriptBox[
   SubscriptBox["J", "+"], "^"], "\[CenterDot]", TemplateBox[RowBox[{
     SubscriptBox["3", 
      OverscriptBox["J", "^"]], ",", 
     SubscriptBox["0", 
      OverscriptBox[
       SubscriptBox["J", "z"], "^"]]}],
   "KetStyle"]}]], "Input"],

Cell[TextData[{
 "some rules for ",
 StyleBox["NonCommutativeTimes", "MR"]
}], "Text",
 CellTags->"index00194"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"l___", "\[CenterDot]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"c_", "?", "ConstQ"}], " ", "a_"}], ")"}], "\[CenterDot]", 
    "r___"}], ":=", 
   RowBox[{"c", " ", 
    RowBox[{"l", "\[CenterDot]", "a", "\[CenterDot]", "r"}]}]}], 
  " "}], "\n", 
 RowBox[{
  RowBox[{"l___", "\[CenterDot]", 
   RowBox[{"(", 
    RowBox[{"a_", "+", "b_"}], ")"}], "\[CenterDot]", "r___"}], ":=", " ", 
  RowBox[{
   RowBox[{"l", "\[CenterDot]", "a", "\[CenterDot]", "r"}], " ", "+", 
   RowBox[{"l", "\[CenterDot]", "b", "\[CenterDot]", "r"}]}]}]}], "Input"],

Cell[TextData[{
 "rules for ",
 StyleBox["ConstQ", "MR"]
}], "Text",
 CellTags->"index00195"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ConstQ", "[", "args_Times", "]"}], ":=", 
  RowBox[{"And", " ", "@@", " ", 
   RowBox[{"ConstQ", " ", "/@", " ", 
    RowBox[{"List", " ", "@@", " ", "args"}]}]}]}], "\n", 
 RowBox[{
  RowBox[{"ConstQ", "[", "args_Plus", "]"}], ":=", 
  RowBox[{"And", " ", "@@", " ", 
   RowBox[{"ConstQ", " ", "/@", " ", 
    RowBox[{"List", " ", "@@", " ", "args"}]}]}]}], "\n", 
 RowBox[{
  RowBox[{"ConstQ", "[", 
   SuperscriptBox["c_", "n_"], "]"}], ":=", 
  RowBox[{
   RowBox[{"ConstQ", "[", "c", "]"}], "\[And]", 
   RowBox[{"ConstQ", "[", "n", "]"}]}]}], "\n", 
 RowBox[{
  RowBox[{"ConstQ", "[", 
   RowBox[{"_", "?", "NumberQ"}], "]"}], ":=", "True"}], "\n", 
 RowBox[{
  RowBox[{"ConstQ", "[", "_Symbol", "]"}], ":=", "True"}], "\n", 
 RowBox[{
  RowBox[{"ConstQ", "[", "_", "]"}], ":=", "False"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  OverscriptBox[
   SubscriptBox["J", "+"], "^"], "\[CenterDot]", 
  OverscriptBox[
   SubscriptBox["J", "-"], "^"], "\[CenterDot]", TemplateBox[RowBox[{
     SubscriptBox["j", 
      OverscriptBox["J", "^"]], ",", 
     SubscriptBox["m", 
      OverscriptBox[
       SubscriptBox["J", "z"], "^"]]}],
   "KetStyle"]}]], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Calculations", "Section"],

Cell[TextData[{
 "In angular momentum theory,  ",
 Cell[BoxData[
  OverscriptBox[
   SuperscriptBox["J", "2"], "^"]]],
 " has the eigenvalue ",
 Cell[BoxData[
  FormBox[
   RowBox[{"j", " ", 
    RowBox[{"(", 
     RowBox[{"j", "+", "1"}], ")"}], " ", 
    SuperscriptBox["\[HBar]", "2"]}], TraditionalForm]]],
 " ."
}], "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        OverscriptBox[
         SubscriptBox["J", "+"], "^"], "\[CenterDot]", 
        OverscriptBox[
         SubscriptBox["J", "-"], "^"]}], "+", 
       RowBox[{
        OverscriptBox[
         SubscriptBox["J", "-"], "^"], "\[CenterDot]", 
        OverscriptBox[
         SubscriptBox["J", "+"], "^"]}]}], ")"}]}], "+", 
    RowBox[{
     OverscriptBox[
      SubscriptBox["J", "z"], "^"], "\[CenterDot]", 
     OverscriptBox[
      SubscriptBox["J", "z"], "^"]}]}], ")"}], "\[CenterDot]", 
  TemplateBox[RowBox[{
     SubscriptBox["j", 
      OverscriptBox["J", "^"]], ",", 
     SubscriptBox["m", 
      OverscriptBox[
       SubscriptBox["J", "z"], "^"]]}],
   "KetStyle"]}]], "Input"],

Cell[BoxData[
 RowBox[{"Simplify", " ", "@", " ", "%"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{TemplateBox[RowBox[{
      SubscriptBox["j1_", 
       OverscriptBox["J", "^"]], ",", 
      SubscriptBox["m1_", 
       OverscriptBox[
        SubscriptBox["J", "z"], "^"]]}],
    "BraStyle"], "\[CenterDot]", TemplateBox[RowBox[{
      SubscriptBox["j2_", 
       OverscriptBox["J", "^"]], ",", 
      SubscriptBox["m2_", 
       OverscriptBox[
        SubscriptBox["J", "z"], "^"]]}],
    "KetStyle"]}], ":=", 
  RowBox[{
   SubscriptBox["\[Delta]", 
    RowBox[{"j1", ",", "j2"}]], " ", 
   SubscriptBox["\[Delta]", 
    RowBox[{"m1", ",", "m2"}]]}]}]], "Input"],

Cell[BoxData[
 RowBox[{TemplateBox[RowBox[{
     SubscriptBox["k", 
      OverscriptBox["J", "^"]], ",", 
     SubscriptBox["n", 
      OverscriptBox[
       SubscriptBox["J", "z"], "^"]]}],
   "BraStyle"], "\[CenterDot]", 
  OverscriptBox[
   SubscriptBox["J", "+"], "^"], "\[CenterDot]", 
  OverscriptBox[
   SubscriptBox["J", "z"], "^"], "\[CenterDot]", 
  RowBox[{"(", 
   RowBox[{
    OverscriptBox[
     SubscriptBox["J", "-"], "^"], "+", 
    OverscriptBox[
     SubscriptBox["J", "+"], "^"]}], ")"}], "\[CenterDot]", 
  TemplateBox[RowBox[{
     SubscriptBox["3", 
      OverscriptBox["J", "^"]], ",", 
     SubscriptBox["0", 
      OverscriptBox[
       SubscriptBox["J", "z"], "^"]]}],
   "KetStyle"]}]], "Input"],

Cell[BoxData[
 RowBox[{"InputForm", "[", 
  RowBox[{"HoldForm", "[", 
   RowBox[{TemplateBox[RowBox[{
       SubscriptBox["k", 
        OverscriptBox["J", "^"]], ",", 
       SubscriptBox["n", 
        OverscriptBox[
         SubscriptBox["J", "z"], "^"]]}],
     "BraStyle"], "\[CenterDot]", 
    OverscriptBox[
     SubscriptBox["J", "+"], "^"], "\[CenterDot]", 
    OverscriptBox[
     SubscriptBox["J", "z"], "^"], "\[CenterDot]", 
    RowBox[{"(", 
     RowBox[{
      OverscriptBox[
       SubscriptBox["J", "-"], "^"], "+", 
      OverscriptBox[
       SubscriptBox["J", "+"], "^"]}], ")"}], "\[CenterDot]", 
    TemplateBox[RowBox[{
       SubscriptBox["3", 
        OverscriptBox["J", "^"]], ",", 
       SubscriptBox["0", 
        OverscriptBox[
         SubscriptBox["J", "z"], "^"]]}],
     "KetStyle"]}], "]"}], "]"}]], "Input"],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->"Previous Slide",
  DefaultStyle->"SlidePreviousNextLink"],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  ButtonFrame->"None",
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
  ButtonNote->"Next Slide",
  DefaultStyle->"SlidePreviousNextLink"]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"6.0 for Macintosh",
PrintingStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{800, 556},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
ShowSelection->True,
InputAliases->{"intt" -> RowBox[{"\[Integral]", 
     RowBox[{"\[SelectionPlaceholder]", 
       RowBox[{"\[DifferentialD]", "\[Placeholder]"}]}]}], "dintt" -> 
  RowBox[{
     SubsuperscriptBox[
     "\[Integral]", "\[SelectionPlaceholder]", "\[Placeholder]"], 
     RowBox[{"\[Placeholder]", 
       RowBox[{"\[DifferentialD]", "\[Placeholder]"}]}]}], "sumt" -> RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"\[SelectionPlaceholder]", "=", "\[Placeholder]"}], 
      "\[Placeholder]"], "\[Placeholder]"}], "prodt" -> RowBox[{
     UnderoverscriptBox["\[Product]", 
      RowBox[{"\[SelectionPlaceholder]", "=", "\[Placeholder]"}], 
      "\[Placeholder]"], "\[Placeholder]"}], "dt" -> RowBox[{
     SubscriptBox["\[PartialD]", "\[Placeholder]"], " ", 
     "\[SelectionPlaceholder]"}], "notation" -> RowBox[{"Notation", "[", 
     RowBox[{
       TagBox[
       "\[Placeholder]", Utilities`Notation`NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"], " ", "\[DoubleLongLeftRightArrow]", " ", 
       TagBox[
       "\[Placeholder]", Utilities`Notation`NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"]}], "]"}], "notation>" -> 
  RowBox[{"Notation", "[", 
     RowBox[{
       TagBox[
       "\[Placeholder]", Utilities`Notation`NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"], " ", "\[DoubleLongRightArrow]", " ", 
       TagBox[
       "\[Placeholder]", Utilities`Notation`NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"]}], "]"}], "notation<" -> 
  RowBox[{"Notation", "[", 
     RowBox[{
       TagBox[
       "\[Placeholder]", Utilities`Notation`NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"], " ", "\[DoubleLongLeftArrow]", " ", 
       TagBox[
       "\[Placeholder]", Utilities`Notation`NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"]}], "]"}], "symb" -> 
  RowBox[{"Symbolize", "[", 
     TagBox[
     "\[Placeholder]", Utilities`Notation`NotationBoxTag, TagStyle -> 
      "NotationTemplateStyle"], "]"}], "infixnotation" -> 
  RowBox[{"InfixNotation", "[", 
     RowBox[{
       TagBox[
       "\[Placeholder]", Utilities`Notation`NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], "addia" -> 
  RowBox[{"AddInputAlias", "[", 
     RowBox[{"\"\[Placeholder]\"", "\[Rule]", 
       TagBox[
       "\[Placeholder]", Utilities`Notation`NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"]}], "]"}], "pattwraper" -> 
  TagBox["\[Placeholder]", Utilities`Notation`NotationPatternTag, TagStyle -> 
    "NotationPatternWrapperStyle"], "madeboxeswraper" -> 
  TagBox["\[Placeholder]", Utilities`Notation`NotationMadeBoxesTag, TagStyle -> 
    "NotationMadeBoxesWrapperStyle"], "ltran" -> RowBox[{
     SubscriptBox["\[ScriptCapitalL]", 
      RowBox[{"\[Placeholder]", "\[Rule]", "\[Placeholder]"}]], "[", 
     "\[Placeholder]", "]"}], "-ltran" -> RowBox[{
     SubsuperscriptBox["\[ScriptCapitalL]", 
      RowBox[{"\[Placeholder]", "\[Rule]", "\[Placeholder]"}], 
      RowBox[{"-", "1"}]], "[", "\[Placeholder]", "]"}], "ket" -> TagBox[
    AdjustmentBox[
     RowBox[{"\[VerticalSeparator]", 
       StyleBox[
        AdjustmentBox[
         TagBox["\[Placeholder]", "KetArgs", TagStyle -> "KetArg"], 
         BoxBaselineShift -> 0.], "KetArg"], "\[RightAngleBracket]"}], 
     BoxBaselineShift -> 0.], "Ket", TagStyle -> "KetWrapper", SyntaxForm -> 
    "symbol"], "bra" -> TagBox[
    AdjustmentBox[
     RowBox[{"\[LeftAngleBracket]", 
       StyleBox[
        AdjustmentBox[
         TagBox["\[Placeholder]", "BraArgs", TagStyle -> "BraArg"], 
         BoxBaselineShift -> 0.], "BraArg"], "\[VerticalSeparator]"}], 
     BoxBaselineShift -> 0.], "Bra", TagStyle -> "BraWrapper", SyntaxForm -> 
    "symbol"], "braket" -> TagBox[
    RowBox[{"\[LeftAngleBracket]", 
      AdjustmentBox[
       RowBox[{
         TagBox["\[Placeholder]", "BraKetArgs", TagStyle -> "BraKetArg"], 
         "\[VerticalSeparator]", 
         TagBox["\[Placeholder]", "BraKetArgs", TagStyle -> "BraKetArg"]}], 
       BoxBaselineShift -> 0.], "\[RightAngleBracket]"}], "BraKet", TagStyle -> 
    "BraKetWrapper", SyntaxForm -> "symbol"], "ket" -> TagBox[
    AdjustmentBox[
     RowBox[{"\[VerticalSeparator]", 
       StyleBox[
        AdjustmentBox[
         TagBox["\[Placeholder]", "KetArgs", TagStyle -> "KetArg"], 
         BoxBaselineShift -> 0.], "KetArg"], "\[RightAngleBracket]"}], 
     BoxBaselineShift -> 0.], "Ket", TagStyle -> "KetWrapper", SyntaxForm -> 
    "symbol"], "bra" -> TagBox[
    AdjustmentBox[
     RowBox[{"\[LeftAngleBracket]", 
       StyleBox[
        AdjustmentBox[
         TagBox["\[Placeholder]", "BraArgs", TagStyle -> "BraArg"], 
         BoxBaselineShift -> 0.], "BraArg"], "\[VerticalSeparator]"}], 
     BoxBaselineShift -> 0.], "Bra", TagStyle -> "BraWrapper", SyntaxForm -> 
    "symbol"], "braket" -> TagBox[
    RowBox[{"\[LeftAngleBracket]", 
      AdjustmentBox[
       RowBox[{
         TagBox["\[Placeholder]", "BraKetArgs", TagStyle -> "BraKetArg"], 
         "\[VerticalSeparator]", 
         TagBox["\[Placeholder]", "BraKetArgs", TagStyle -> "BraKetArg"]}], 
       BoxBaselineShift -> 0.], "\[RightAngleBracket]"}], "BraKet", TagStyle -> 
    "BraKetWrapper", SyntaxForm -> "symbol"]},
Magnification->1.,
StyleDefinitions -> Notebook[{
 
 Cell[CellGroupData[{
 Cell["Wolfram Technology Conference 2005", "Title"],
 
 Cell["\<\
Modify the definitions below to change the default appearance of all cells in \
a given style.  Make modifications to any definition using commands in the \
Format menu.\
\>", "Text"],
 
 Cell[CellGroupData[{
 
 Cell["Style Environment Names", "Section"],
 
 Cell[StyleData[All, "Working"],
  PageWidth->WindowWidth,
  CellBracketOptions->{"Color"->RGBColor[0.269993, 0.308507, 0.6]},
  CellLabelMargins->{{12, Inherited}, {Inherited, Inherited}},
  ScriptMinSize->9,
  MenuPosition->1100],
 
 Cell[StyleData[All, "Presentation"],
  PageWidth->WindowWidth,
  CellLabelMargins->{{24, Inherited}, {Inherited, Inherited}},
  ScriptMinSize->12,
  MenuPosition->1200],
 
 Cell[StyleData[All, "SlideShow"],
  PageWidth->WindowWidth,
  ScrollingOptions->{"PagewiseDisplay"->True,
  "VerticalScrollRange"->Fit},
  ScriptMinSize->9,
  MenuPosition->1300],
 
 Cell[StyleData[All, "Printout"],
  PageWidth->PaperWidth,
  CellLabelMargins->{{2, Inherited}, {Inherited, Inherited}},
  ScriptMinSize->5,
  MenuPosition->1400,
  PrivateFontOptions->{"FontType"->"Outline"}]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Notebook Options", "Section"],
 
 Cell["\<\
The options defined for the style below will be used at the Notebook level.\
\>", "Text"],
 
 Cell[StyleData["Notebook"],
  PageHeaders->{{
     Cell[
      TextData[{
        CounterBox["Page"]}], "PageNumber"], None, 
     Cell[
      TextData[{
        ValueBox["FileName"]}], "Header"]}, {
     Cell[
      TextData[{
        ValueBox["FileName"]}], "Header"], None, 
     Cell[
      TextData[{
        CounterBox["Page"]}], "PageNumber"]}},
  CellFrameLabelMargins->6,
  StyleMenuListing->None]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Styles for Headings", "Section"],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Title"],
  CellMargins->{{27, Inherited}, {10, 30}},
  CellGroupingRules->{"TitleGrouping", 0},
  PageBreakBelow->False,
  DefaultNewInlineCellStyle->"None",
  InputAutoReplacements->{"TeX" -> StyleBox[
      RowBox[{"T", 
        AdjustmentBox[
        "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
         0.5], "X"}]], "LaTeX" -> StyleBox[
      RowBox[{"L", 
        StyleBox[
         AdjustmentBox[
         "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
          BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
        AdjustmentBox[
        "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
         0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", "MMA" -> 
    "Mathematica", "gridMathematica" -> FormBox[
      RowBox[{"grid", 
        AdjustmentBox[
         StyleBox["Mathematica", FontSlant -> "Italic"], 
         BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], "webMathematica" -> 
    FormBox[
      RowBox[{"web", 
        AdjustmentBox[
         StyleBox["Mathematica", FontSlant -> "Italic"], 
         BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited},
  LineSpacing->{1, 11},
  LanguageCategory->"NaturalLanguage",
  CounterIncrements->"Title",
  CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
    "Subtitle", 0}, {"Subsubtitle", 0}},
  MenuPosition->1100,
  MenuCommandKey->"1",
  FontFamily->"Helvetica",
  FontSize->36,
  FontWeight->"Bold",
  FontColor->RGBColor[0.497734, 0.131884, 0.0966201]],
 
 Cell[StyleData["Title", "Presentation"],
  CellMargins->{{72, 50}, {10, 80}},
  LineSpacing->{1, 0},
  FontSize->45],
 
 Cell[StyleData["Title", "SlideShow"],
  CellMargins->{{72, 50}, {10, 80}},
  FontSize->45],
 
 Cell[StyleData["Title", "Printout"],
  CellMargins->{{2, 10}, {12, 30}},
  FontSize->24]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Subtitle"],
  CellMargins->{{27, Inherited}, {20, 2}},
  CellGroupingRules->{"TitleGrouping", 10},
  PageBreakBelow->False,
  DefaultNewInlineCellStyle->"None",
  InputAutoReplacements->{"TeX" -> StyleBox[
      RowBox[{"T", 
        AdjustmentBox[
        "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
         0.5], "X"}]], "LaTeX" -> StyleBox[
      RowBox[{"L", 
        StyleBox[
         AdjustmentBox[
         "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
          BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
        AdjustmentBox[
        "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
         0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", "MMA" -> 
    "Mathematica", "gridMathematica" -> FormBox[
      RowBox[{"grid", 
        AdjustmentBox[
         StyleBox["Mathematica", FontSlant -> "Italic"], 
         BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], "webMathematica" -> 
    FormBox[
      RowBox[{"web", 
        AdjustmentBox[
         StyleBox["Mathematica", FontSlant -> "Italic"], 
         BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited},
  LanguageCategory->"NaturalLanguage",
  CounterIncrements->"Subtitle",
  CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
    "Subsubtitle", 0}},
  MenuPosition->1150,
  MenuCommandKey->"2",
  FontFamily->"Helvetica",
  FontSize->24],
 
 Cell[StyleData["Subtitle", "Presentation"],
  CellMargins->{{72, 50}, {20, 2}},
  LineSpacing->{1, 0},
  FontSize->30],
 
 Cell[StyleData["Subtitle", "SlideShow"],
  CellMargins->{{72, 50}, {30, 2}},
  FontSize->30],
 
 Cell[StyleData["Subtitle", "Printout"],
  CellMargins->{{2, 10}, {12, 8}},
  FontSize->18]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Subsubtitle"],
  CellMargins->{{27, Inherited}, {8, 2}},
  CellGroupingRules->{"TitleGrouping", 20},
  PageBreakBelow->False,
  DefaultNewInlineCellStyle->"None",
  InputAutoReplacements->{"TeX" -> StyleBox[
      RowBox[{"T", 
        AdjustmentBox[
        "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
         0.5], "X"}]], "LaTeX" -> StyleBox[
      RowBox[{"L", 
        StyleBox[
         AdjustmentBox[
         "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
          BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
        AdjustmentBox[
        "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
         0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", "MMA" -> 
    "Mathematica", "gridMathematica" -> FormBox[
      RowBox[{"grid", 
        AdjustmentBox[
         StyleBox["Mathematica", FontSlant -> "Italic"], 
         BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], "webMathematica" -> 
    FormBox[
      RowBox[{"web", 
        AdjustmentBox[
         StyleBox["Mathematica", FontSlant -> "Italic"], 
         BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited},
  LanguageCategory->"NaturalLanguage",
  CounterIncrements->"Subsubtitle",
  CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
  MenuPosition->1200,
  MenuCommandKey->"3",
  StyleMenuListing->None,
  FontFamily->"Helvetica",
  FontSize->16],
 
 Cell[StyleData["Subsubtitle", "Presentation"],
  CellMargins->{{54, 10}, {20, 20}},
  LineSpacing->{1, 0},
  FontSize->24],
 
 Cell[StyleData["Subsubtitle", "SlideShow"],
  CellMargins->{{72, 25}, {30, 10}}],
 
 Cell[StyleData["Subsubtitle", "Printout"],
  CellMargins->{{2, 10}, {12, 8}},
  FontSize->14]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Section"],
  CellFrame->False,
  ShowGroupOpenCloseIcon->False,
  CellMargins->{{27, Inherited}, {8, 34}},
  CellGroupingRules->{"SectionGrouping", 30},
  PageBreakBelow->False,
  CellFrameMargins->4,
  CellFrameColor->RGBColor[0.87451, 0.639216, 0.603922],
  DefaultNewInlineCellStyle->"None",
  InputAutoReplacements->{"TeX" -> StyleBox[
      RowBox[{"T", 
        AdjustmentBox[
        "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
         0.5], "X"}]], "LaTeX" -> StyleBox[
      RowBox[{"L", 
        StyleBox[
         AdjustmentBox[
         "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
          BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
        AdjustmentBox[
        "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
         0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", "MMA" -> 
    "Mathematica", "gridMathematica" -> FormBox[
      RowBox[{"grid", 
        AdjustmentBox[
         StyleBox["Mathematica", FontSlant -> "Italic"], 
         BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], "webMathematica" -> 
    FormBox[
      RowBox[{"web", 
        AdjustmentBox[
         StyleBox["Mathematica", FontSlant -> "Italic"], 
         BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited},
  LineSpacing->{1, 2},
  LanguageCategory->"NaturalLanguage",
  CounterIncrements->"Section",
  CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
  MenuPosition->1250,
  MenuCommandKey->"4",
  FontFamily->"Helvetica",
  FontSize->20,
  FontWeight->"Bold",
  FontColor->RGBColor[0.497734, 0.0706493, 0.0354009]],
 
 Cell[StyleData["Section", "Presentation"],
  CellFrame->{{0, 0}, {0, 2}},
  ShowGroupOpenCloseIcon->True,
  CellMargins->{{72, 50}, {11, 30}},
  CellFrameColor->RGBColor[0.87451, 0.639216, 0.603922],
  FontSize->30],
 
 Cell[StyleData["Section", "SlideShow"],
  ShowCellBracket->False,
  CellMargins->{{100, 50}, {11, 35}},
  FontSize->30],
 
 Cell[StyleData["Section", "Printout"],
  CellMargins->{{2, 0}, {7, 22}},
  FontSize->14]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Subsection"],
  CellMargins->{{60, Inherited}, {8, 12}},
  CellGroupingRules->{"SectionGrouping", 40},
  PageBreakBelow->False,
  DefaultNewInlineCellStyle->"None",
  InputAutoReplacements->{"TeX" -> StyleBox[
      RowBox[{"T", 
        AdjustmentBox[
        "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
         0.5], "X"}]], "LaTeX" -> StyleBox[
      RowBox[{"L", 
        StyleBox[
         AdjustmentBox[
         "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
          BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
        AdjustmentBox[
        "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
         0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", "MMA" -> 
    "Mathematica", "gridMathematica" -> FormBox[
      RowBox[{"grid", 
        AdjustmentBox[
         StyleBox["Mathematica", FontSlant -> "Italic"], 
         BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], "webMathematica" -> 
    FormBox[
      RowBox[{"web", 
        AdjustmentBox[
         StyleBox["Mathematica", FontSlant -> "Italic"], 
         BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited},
  LanguageCategory->"NaturalLanguage",
  CounterIncrements->"Subsection",
  CounterAssignments->{{"Subsubsection", 0}},
  MenuPosition->1300,
  MenuCommandKey->"5",
  FontFamily->"Helvetica",
  FontSize->16,
  FontWeight->"Bold",
  FontColor->RGBColor[0.497734, 0.203311, 0.156207]],
 
 Cell[StyleData["Subsection", "Presentation"],
  CellMargins->{{72, 50}, {6, 15}},
  LineSpacing->{1, 0},
  FontSize->24],
 
 Cell[StyleData["Subsection", "SlideShow"],
  CellMargins->{{100, 50}, {8, 12}},
  LineSpacing->{1, 0},
  FontSize->24],
 
 Cell[StyleData["Subsection", "Printout"],
  CellMargins->{{2, 0}, {8, 22}},
  FontSize->12]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Subsubsection"],
  CellMargins->{{60, Inherited}, {2, 12}},
  CellGroupingRules->{"SectionGrouping", 50},
  PageBreakBelow->False,
  DefaultNewInlineCellStyle->"None",
  InputAutoReplacements->{"TeX" -> StyleBox[
      RowBox[{"T", 
        AdjustmentBox[
        "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
         0.5], "X"}]], "LaTeX" -> StyleBox[
      RowBox[{"L", 
        StyleBox[
         AdjustmentBox[
         "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
          BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
        AdjustmentBox[
        "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
         0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", "MMA" -> 
    "Mathematica", "gridMathematica" -> FormBox[
      RowBox[{"grid", 
        AdjustmentBox[
         StyleBox["Mathematica", FontSlant -> "Italic"], 
         BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], "webMathematica" -> 
    FormBox[
      RowBox[{"web", 
        AdjustmentBox[
         StyleBox["Mathematica", FontSlant -> "Italic"], 
         BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited},
  LanguageCategory->"NaturalLanguage",
  CounterIncrements->"Subsubsection",
  MenuPosition->1350,
  MenuCommandKey->"6",
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontColor->RGBColor[0.601816, 0.395743, 0.226337]],
 
 Cell[StyleData["Subsubsection", "Presentation"],
  CellMargins->{{72, 50}, {6, 20}},
  LineSpacing->{1, 0},
  FontSize->18],
 
 Cell[StyleData["Subsubsection", "SlideShow"],
  CellMargins->{{100, 50}, {6, 20}},
  FontSize->18],
 
 Cell[StyleData["Subsubsection", "Printout"],
  CellMargins->{{2, 0}, {7, 14}},
  FontSize->11]
 }, Closed]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Styles for Body Text", "Section"],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Text"],
  CellMargins->{{60, 10}, {7, 7}},
  InputAutoReplacements->{"TeX" -> StyleBox[
      RowBox[{"T", 
        AdjustmentBox[
        "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
         0.5], "X"}]], "LaTeX" -> StyleBox[
      RowBox[{"L", 
        StyleBox[
         AdjustmentBox[
         "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
          BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
        AdjustmentBox[
        "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
         0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", "MMA" -> 
    "Mathematica", "gridMathematica" -> FormBox[
      RowBox[{"grid", 
        AdjustmentBox[
         StyleBox["Mathematica", FontSlant -> "Italic"], 
         BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], "webMathematica" -> 
    FormBox[
      RowBox[{"web", 
        AdjustmentBox[
         StyleBox["Mathematica", FontSlant -> "Italic"], 
         BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited},
  LineSpacing->{1, 3},
  CounterIncrements->"Text",
  MenuPosition->1400,
  MenuCommandKey->"7",
  FontFamily->"Helvetica"],
 
 Cell[StyleData["Text", "Presentation"],
  CellMargins->{{72, 50}, {10, 10}},
  LineSpacing->{1, 5},
  FontSize->17],
 
 Cell[StyleData["Text", "SlideShow"],
  CellMargins->{{100, 50}, {10, 10}},
  FontSize->17],
 
 Cell[StyleData["Text", "Printout"],
  CellMargins->{{2, 2}, {6, 6}},
  TextJustification->0.5,
  Hyphenation->True,
  FontSize->10]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["SmallText"],
  CellMargins->{{60, 10}, {6, 6}},
  DefaultNewInlineCellStyle->"None",
  LineSpacing->{1, 3},
  LanguageCategory->"NaturalLanguage",
  CounterIncrements->"SmallText",
  MenuPosition->1750,
  MenuCommandKey->"8",
  FontFamily->"Helvetica",
  FontSize->9],
 
 Cell[StyleData["SmallText", "Presentation"],
  CellMargins->{{72, 50}, {8, 8}},
  LineSpacing->{1, 5},
  FontSize->10],
 
 Cell[StyleData["SmallText", "SlideShow"],
  CellMargins->{{100, 50}, {8, 8}},
  LineSpacing->{1, 5},
  FontSize->10],
 
 Cell[StyleData["SmallText", "Printout"],
  CellMargins->{{2, 2}, {5, 5}},
  TextJustification->0.5,
  Hyphenation->True,
  FontSize->7]
 }, Closed]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Styles for Input/Output", "Section"],
 
 Cell["\<\
The cells in this section define styles used for input and output to the \
kernel.  Be careful when modifying, renaming, or removing these styles, \
because the front end associates special meanings with these style names. \
Some attributes for these styles are actually set in FormatType Styles (in \
the last section of this stylesheet). \
\>", "Text"],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Input"],
  CellMargins->{{66, 10}, {5, 7}},
  Evaluatable->True,
  CellGroupingRules->"InputGrouping",
  CellHorizontalScrolling->True,
  PageBreakWithin->False,
  GroupPageBreakWithin->False,
  DefaultFormatType->DefaultInputFormatType,
  "TwoByteSyntaxCharacterAutoReplacement"->True,
  HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
  AutoItalicWords->{},
  LanguageCategory->"Mathematica",
  FormatType->InputForm,
  ShowStringCharacters->True,
  NumberMarks->True,
  LinebreakAdjustments->{0.85, 2, 10, 0, 1},
  CounterIncrements->"Input",
  MenuPosition->1500,
  MenuCommandKey->"9",
  FontWeight->"Bold"],
 
 Cell[StyleData["Input", "Presentation"],
  CellMargins->{{72, 50}, {8, 10}},
  LineSpacing->{1, 0},
  FontSize->18],
 
 Cell[StyleData["Input", "SlideShow"],
  CellMargins->{{100, 50}, {8, 10}},
  LineSpacing->{1, 0},
  FontSize->18],
 
 Cell[StyleData["Input", "Printout"],
  CellMargins->{{39, 0}, {4, 6}},
  LinebreakAdjustments->{0.85, 2, 10, 1, 1},
  FontSize->9]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["InputOnly"],
  CellMargins->{{66, 10}, {7, 7}},
  Evaluatable->True,
  CellGroupingRules->"InputGrouping",
  CellHorizontalScrolling->True,
  DefaultFormatType->DefaultInputFormatType,
  "TwoByteSyntaxCharacterAutoReplacement"->True,
  HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
  AutoItalicWords->{},
  LanguageCategory->"Mathematica",
  FormatType->InputForm,
  ShowStringCharacters->True,
  NumberMarks->True,
  LinebreakAdjustments->{0.85, 2, 10, 0, 1},
  CounterIncrements->"Input",
  StyleMenuListing->None,
  FontWeight->"Bold"],
 
 Cell[StyleData["InputOnly", "Presentation"],
  CellMargins->{{72, Inherited}, {8, 10}},
  LineSpacing->{1, 0},
  FontSize->18],
 
 Cell[StyleData["InputOnly", "SlideShow"],
  CellMargins->{{100, Inherited}, {8, 10}},
  LineSpacing->{1, 0},
  FontSize->18],
 
 Cell[StyleData["InputOnly", "Printout"],
  CellMargins->{{39, 0}, {4, 6}},
  LinebreakAdjustments->{0.85, 2, 10, 1, 1},
  FontSize->9]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Output"],
  CellMargins->{{66, 10}, {7, 5}},
  CellEditDuplicate->True,
  CellGroupingRules->"OutputGrouping",
  CellHorizontalScrolling->True,
  PageBreakWithin->False,
  GroupPageBreakWithin->False,
  GeneratedCell->True,
  CellAutoOverwrite->True,
  DefaultFormatType->DefaultOutputFormatType,
  "TwoByteSyntaxCharacterAutoReplacement"->True,
  HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
  AutoItalicWords->{},
  LanguageCategory->None,
  FormatType->InputForm,
  CounterIncrements->"Output"],
 
 Cell[StyleData["Output", "Presentation"],
  CellMargins->{{72, 50}, {10, 8}},
  LineSpacing->{1, 0},
  FontSize->18],
 
 Cell[StyleData["Output", "SlideShow"],
  CellMargins->{{100, 50}, {10, 8}},
  LineSpacing->{1, 0},
  FontSize->18],
 
 Cell[StyleData["Output", "Printout"],
  CellMargins->{{39, 0}, {6, 4}},
  FontSize->9]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Message"],
  CellMargins->{{66, Inherited}, {Inherited, Inherited}},
  CellGroupingRules->"OutputGrouping",
  PageBreakWithin->False,
  GroupPageBreakWithin->False,
  GeneratedCell->True,
  CellAutoOverwrite->True,
  ShowCellLabel->False,
  DefaultFormatType->DefaultOutputFormatType,
  "TwoByteSyntaxCharacterAutoReplacement"->True,
  HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
  AutoItalicWords->{},
  LanguageCategory->None,
  FormatType->InputForm,
  CounterIncrements->"Message",
  StyleMenuListing->None,
  AutoStyleOptions -> {"UnmatchedBracketStyle" -> None},
  FontFamily->"Helvetica",
  FontSize->10,
  FontColor->RGBColor[0.79646, 0.317952, 0.248615]],
 
 Cell[StyleData["Message", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  LineSpacing->{1, 0},
  FontSize->14],
 
 Cell[StyleData["Message", "SlideShow"],
  CellMargins->{{100, Inherited}, {Inherited, Inherited}},
  LineSpacing->{1, 0},
  FontSize->14],
 
 Cell[StyleData["Message", "Printout"],
  CellMargins->{{39, Inherited}, {Inherited, Inherited}},
  FontSize->7]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Print"],
  CellMargins->{{66, Inherited}, {Inherited, Inherited}},
  CellGroupingRules->"OutputGrouping",
  CellHorizontalScrolling->True,
  PageBreakWithin->False,
  GroupPageBreakWithin->False,
  GeneratedCell->True,
  CellAutoOverwrite->True,
  ShowCellLabel->False,
  DefaultFormatType->DefaultOutputFormatType,
  "TwoByteSyntaxCharacterAutoReplacement"->True,
  HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
  AutoItalicWords->{},
  LanguageCategory->None,
  FormatType->InputForm,
  CounterIncrements->"Print",
  StyleMenuListing->None],
 
 Cell[StyleData["Print", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  LineSpacing->{1, 0},
  FontSize->18],
 
 Cell[StyleData["Print", "SlideShow"],
  CellMargins->{{100, Inherited}, {Inherited, Inherited}},
  LineSpacing->{1, 0},
  FontSize->18],
 
 Cell[StyleData["Print", "Printout"],
  CellMargins->{{39, Inherited}, {Inherited, Inherited}},
  FontSize->8]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Graphics"],
  CellMargins->{{4, Inherited}, {Inherited, Inherited}},
  CellGroupingRules->"GraphicsGrouping",
  CellHorizontalScrolling->True,
  PageBreakWithin->False,
  GeneratedCell->True,
  CellAutoOverwrite->True,
  ShowCellLabel->False,
  DefaultFormatType->DefaultOutputFormatType,
  LanguageCategory->None,
  FormatType->InputForm,
  CounterIncrements->"Graphics",
  ImageMargins->{{43, Inherited}, {Inherited, 0}},
  StyleMenuListing->None,
  FontFamily->"Courier",
  FontSize->10],
 
 Cell[StyleData["Graphics", "Presentation"],
  ImageMargins->{{62, Inherited}, {Inherited, 0}}],
 
 Cell[StyleData["Graphics", "SlideShow"],
  ImageMargins->{{100, Inherited}, {Inherited, 0}}],
 
 Cell[StyleData["Graphics", "Printout"],
  ImageMargins->{{30, Inherited}, {Inherited, 0}},
  Magnification->0.8]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["CellLabel"],
  LanguageCategory->None,
  StyleMenuListing->None,
  FontFamily->"Helvetica",
  FontSize->9,
  FontColor->RGBColor[0.796078, 0.109804, 0.0588235]],
 
 Cell[StyleData["CellLabel", "Presentation"],
  FontSize->12],
 
 Cell[StyleData["CellLabel", "SlideShow"],
  FontSize->12],
 
 Cell[StyleData["CellLabel", "Printout"],
  FontFamily->"Courier",
  FontSize->8,
  FontSlant->"Italic"]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["FrameLabel"],
  LanguageCategory->None,
  StyleMenuListing->None,
  FontFamily->"Helvetica",
  FontSize->9],
 
 Cell[StyleData["FrameLabel", "Presentation"],
  FontSize->12],
 
 Cell[StyleData["FrameLabel", "SlideShow"],
  FontSize->12],
 
 Cell[StyleData["FrameLabel", "Printout"],
  FontFamily->"Courier",
  FontSize->8,
  FontSlant->"Italic",
  FontColor->GrayLevel[0]]
 }, Closed]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Presentation Specific", "Section"],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["BulletedList"],
  CellMargins->{{45, 10}, {7, 7}},
  CellFrameLabels->{{
     Cell["\[FilledSmallSquare]", "BulletedList", CellBaseline -> Baseline], 
     Inherited}, {Inherited, Inherited}},
  CounterIncrements->"BulletedList",
  FontFamily->"Helvetica"],
 
 Cell[StyleData["BulletedList", "Presentation"],
  CellMargins->{{56, 50}, {10, 10}},
  LineSpacing->{1, 5},
  FontSize->18],
 
 Cell[StyleData["BulletedList", "SlideShow"],
  CellMargins->{{85, 50}, {10, 10}},
  FontSize->18],
 
 Cell[StyleData["BulletedList", "Printout"],
  CellMargins->{{2, 2}, {6, 6}},
  TextJustification->0.5,
  Hyphenation->True,
  FontSize->10]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Author"],
  CellMargins->{{139, 27}, {2, 20}},
  FontFamily->"Times",
  FontSize->24,
  FontSlant->"Italic"],
 
 Cell[StyleData["Author", "Presentation"],
  CellMargins->{{198, 27}, {2, 25}},
  FontSize->32],
 
 Cell[StyleData["Author", "SlideShow"],
  CellMargins->{{198, 27}, {2, 50}},
  FontSize->32],
 
 Cell[StyleData["Author", "Printout"],
  CellMargins->{{100, 27}, {2, 20}},
  FontSize->14]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Affiliation"],
  CellMargins->{{141, 27}, {30, 12}},
  FontFamily->"Times",
  FontSize->24,
  FontSlant->"Italic"],
 
 Cell[StyleData["Affiliation", "Presentation"],
  CellMargins->{{198, 27}, {35, 10}},
  FontSize->32],
 
 Cell[StyleData["Affiliation", "SlideShow"],
  CellMargins->{{198, 27}, {100, 10}},
  FontSize->32],
 
 Cell[StyleData["Affiliation", "Printout"],
  CellMargins->{{100, 27}, {2, 12}},
  FontSize->14]
 }, Closed]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Header Graphic", "Section"],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["ConferenceGraphicCell"],
  ShowCellBracket->True,
  CellMargins->{{0, 0}, {0, 0}},
  Evaluatable->False,
  PageBreakBelow->False,
  CellFrameMargins->False,
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  Magnification->1,
  Background->RGBColor[0.827451, 0.333333, 0.258824]],
 
 Cell[StyleData["ConferenceGraphicCell", "Presentation"],
  ShowCellBracket->False],
 
 Cell[StyleData["ConferenceGraphicCell", "SlideShow"],
  ShowCellBracket->False],
 
 Cell[StyleData["ConferenceGraphicCell", "Printout"],
  FontSize->8,
  Magnification->0.75]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["GraphicNoMagnification"],
  CellMargins->{{60, 10}, {7, 7}},
  LineSpacing->{1, 3},
  CounterIncrements->"Text",
  FontFamily->"Helvetica",
  Magnification->1],
 
 Cell[StyleData["GraphicNoMagnification", "Presentation"],
  CellMargins->{{72, 50}, {10, 10}},
  LineSpacing->{1, 5},
  FontSize->17],
 
 Cell[StyleData["GraphicNoMagnification", "SlideShow"],
  CellMargins->{{100, 50}, {10, 10}},
  FontSize->17],
 
 Cell[StyleData["GraphicNoMagnification", "Printout"],
  CellMargins->{{2, 2}, {6, 6}},
  FontSize->10]
 }, Closed]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Inline Formatting", "Section"],
 
 Cell["\<\
These styles are for modifying individual words or letters in a cell \
exclusive of the cell tag.\
\>", "Text"],
 
 Cell[StyleData["RM"],
  StyleMenuListing->None,
  FontWeight->"Plain",
  FontSlant->"Plain"],
 
 Cell[StyleData["BF"],
  StyleMenuListing->None,
  FontWeight->"Bold"],
 
 Cell[StyleData["IT"],
  StyleMenuListing->None,
  FontSlant->"Italic"],
 
 Cell[StyleData["TR"],
  StyleMenuListing->None,
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Plain"],
 
 Cell[StyleData["TI"],
  StyleMenuListing->None,
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Italic"],
 
 Cell[StyleData["TB"],
  StyleMenuListing->None,
  FontFamily->"Times",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 
 Cell[StyleData["TBI"],
  StyleMenuListing->None,
  FontFamily->"Times",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 
 Cell[StyleData["MR"],
  "TwoByteSyntaxCharacterAutoReplacement"->True,
  HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
  StyleMenuListing->None,
  FontFamily->"Courier",
  FontWeight->"Plain",
  FontSlant->"Plain"],
 
 Cell[StyleData["MO"],
  "TwoByteSyntaxCharacterAutoReplacement"->True,
  HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
  StyleMenuListing->None,
  FontFamily->"Courier",
  FontWeight->"Plain",
  FontSlant->"Italic"],
 
 Cell[StyleData["MB"],
  "TwoByteSyntaxCharacterAutoReplacement"->True,
  HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
  StyleMenuListing->None,
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 
 Cell[StyleData["MBO"],
  "TwoByteSyntaxCharacterAutoReplacement"->True,
  HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
  StyleMenuListing->None,
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 
 Cell[StyleData["SR"],
  StyleMenuListing->None,
  FontFamily->"Helvetica",
  FontWeight->"Plain",
  FontSlant->"Plain"],
 
 Cell[StyleData["SO"],
  StyleMenuListing->None,
  FontFamily->"Helvetica",
  FontWeight->"Plain",
  FontSlant->"Italic"],
 
 Cell[StyleData["SB"],
  StyleMenuListing->None,
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 
 Cell[StyleData["SBO"],
  StyleMenuListing->None,
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["SO10"],
  StyleMenuListing->None,
  FontFamily->"Helvetica",
  FontSize->10,
  FontWeight->"Plain",
  FontSlant->"Italic"],
 
 Cell[StyleData["SO10", "Printout"],
  StyleMenuListing->None,
  FontFamily->"Helvetica",
  FontSize->7,
  FontWeight->"Plain",
  FontSlant->"Italic"]
 }, Closed]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Formulas and Programming", "Section"],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["InlineFormula"],
  CellMargins->{{10, 4}, {0, 8}},
  CellHorizontalScrolling->True,
  HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
  LanguageCategory->"Formula",
  ScriptLevel->1,
  SingleLetterItalics->True,
  StyleMenuListing->None],
 
 Cell[StyleData["InlineFormula", "Presentation"],
  LineSpacing->{1, 5},
  FontSize->16],
 
 Cell[StyleData["InlineFormula", "SlideShow"],
  LineSpacing->{1, 5},
  FontSize->16],
 
 Cell[StyleData["InlineFormula", "Printout"],
  CellMargins->{{2, 0}, {6, 6}},
  FontSize->10]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["DisplayFormula"],
  CellMargins->{{60, Inherited}, {Inherited, Inherited}},
  CellHorizontalScrolling->True,
  DefaultFormatType->DefaultInputFormatType,
  HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
  LanguageCategory->"Formula",
  ScriptLevel->0,
  SingleLetterItalics->True,
  UnderoverscriptBoxOptions->{LimitsPositioning->True}],
 
 Cell[StyleData["DisplayFormula", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  LineSpacing->{1, 5},
  FontSize->16],
 
 Cell[StyleData["DisplayFormula", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}},
  LineSpacing->{1, 5},
  FontSize->16],
 
 Cell[StyleData["DisplayFormula", "Printout"],
  FontSize->10]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Program"],
  CellFrame->{{0, 0}, {0.5, 0.5}},
  CellMargins->{{60, 4}, {0, 8}},
  CellHorizontalScrolling->True,
  Hyphenation->False,
  LanguageCategory->"Formula",
  ScriptLevel->1,
  FontFamily->"Courier"],
 
 Cell[StyleData["Program", "Presentation"],
  CellMargins->{{72, 50}, {10, 10}},
  LineSpacing->{1, 5},
  FontSize->16],
 
 Cell[StyleData["Program", "SlideShow"],
  CellMargins->{{100, 50}, {10, 10}},
  LineSpacing->{1, 5},
  FontSize->16],
 
 Cell[StyleData["Program", "Printout"],
  CellMargins->{{2, 0}, {6, 6}},
  FontSize->9]
 }, Closed]],
 
 Cell[StyleData["TechnicalNote"],
  CellMargins->{{140, 10}, {6, 6}},
  DefaultNewInlineCellStyle->"None",
  LineSpacing->{1, 3},
  LanguageCategory->"NaturalLanguage",
  FontFamily->"Helvetica",
  FontSize->9,
  FontColor->GrayLevel[0.479637]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["DisplayCellStructure"],
  CellFrame->0.5,
  CellMargins->{{60, 4}, {8, 8}},
  CellHorizontalScrolling->True,
  AutoSpacing->False,
  LineIndent->3,
  FontFamily->"Courier",
  FontWeight->"Plain",
  Background->GrayLevel[0.949996]],
 
 Cell[StyleData["DisplayCellStructure", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  LineSpacing->{1, 5},
  FontSize->16],
 
 Cell[StyleData["DisplayCellStructure", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}},
  LineSpacing->{1, 5},
  FontSize->16]
 }, Closed]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Hyperlink Styles", "Section"],
 
 Cell["\<\
The cells below define styles useful for making hypertext ButtonBoxes.  The \
\"Hyperlink\" style is for links within the same Notebook, or between \
Notebooks.\
\>", "Text"],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Hyperlink"],
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[0, 0.376471, 0.490196],
  ButtonBoxOptions->{Active->True,
  ButtonFrame->"None",
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`NotebookLocate[#2]}]& ),
  ButtonNote->ButtonData}],
 
 Cell[StyleData["Hyperlink", "Presentation"],
  FontSize->16],
 
 Cell[StyleData["Hyperlink", "SlideShow"]],
 
 Cell[StyleData["Hyperlink", "Printout"],
  FontSize->10,
  FontVariations->{"Underline"->False}]
 }, Closed]],
 
 Cell["\<\
The following styles are for linking automatically to the on-line help \
system.\
\>", "Text"],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["MainBookLink"],
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[0.269993, 0.308507, 0.6],
  ButtonBoxOptions->{Active->True,
  ButtonFrame->"None",
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`HelpBrowserLookup["MainBook", #]}]& )}],
 
 Cell[StyleData["MainBookLink", "Presentation"],
  FontSize->16],
 
 Cell[StyleData["MainBookLink", "SlideShow"]],
 
 Cell[StyleData["MainBookLink", "Printout"],
  FontSize->10,
  FontVariations->{"Underline"->False},
  FontColor->GrayLevel[0]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["AddOnsLink"],
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  FontFamily->"Courier",
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[0.269993, 0.308507, 0.6],
  ButtonBoxOptions->{Active->True,
  ButtonFrame->"None",
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`HelpBrowserLookup["AddOns", #]}]& )}],
 
 Cell[StyleData["AddOnsLink", "Presentation"],
  FontSize->16],
 
 Cell[StyleData["AddOnsLink", "SlideShow"]],
 
 Cell[StyleData["AddOnsLink", "Printout"],
  FontSize->10,
  FontVariations->{"Underline"->False},
  FontColor->GrayLevel[0]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["RefGuideLink"],
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  FontFamily->"Courier",
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[0.269993, 0.308507, 0.6],
  ButtonBoxOptions->{Active->True,
  ButtonFrame->"None",
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`HelpBrowserLookup["RefGuide", #]}]& )}],
 
 Cell[StyleData["RefGuideLink", "Presentation"],
  FontSize->16],
 
 Cell[StyleData["RefGuideLink", "SlideShow"]],
 
 Cell[StyleData["RefGuideLink", "Printout"],
  FontSize->10,
  FontVariations->{"Underline"->False},
  FontColor->GrayLevel[0]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["RefGuideLinkText"],
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[0.269993, 0.308507, 0.6],
  ButtonBoxOptions->{Active->True,
  ButtonFrame->"None",
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`HelpBrowserLookup["RefGuide", #]}]& )}],
 
 Cell[StyleData["RefGuideLinkText", "Presentation"],
  FontSize->16],
 
 Cell[StyleData["RefGuideLinkText", "SlideShow"]],
 
 Cell[StyleData["RefGuideLinkText", "Printout"],
  FontSize->10,
  FontVariations->{"Underline"->False},
  FontColor->GrayLevel[0]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["GettingStartedLink"],
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[0.269993, 0.308507, 0.6],
  ButtonBoxOptions->{Active->True,
  ButtonFrame->"None",
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`HelpBrowserLookup["GettingStarted", #]}]& )}],
 
 Cell[StyleData["GettingStartedLink", "Presentation"],
  FontSize->16],
 
 Cell[StyleData["GettingStartedLink", "SlideShow"]],
 
 Cell[StyleData["GettingStartedLink", "Printout"],
  FontSize->10,
  FontVariations->{"Underline"->False},
  FontColor->GrayLevel[0]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["DemosLink"],
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[0.269993, 0.308507, 0.6],
  ButtonBoxOptions->{Active->True,
  ButtonFrame->"None",
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`HelpBrowserLookup["Demos", #]}]& )}],
 
 Cell[StyleData["DemosLink", "SlideShow"]],
 
 Cell[StyleData["DemosLink", "Printout"],
  FontVariations->{"Underline"->False},
  FontColor->GrayLevel[0]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["TourLink"],
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[0.269993, 0.308507, 0.6],
  ButtonBoxOptions->{Active->True,
  ButtonFrame->"None",
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`HelpBrowserLookup["Tour", #]}]& )}],
 
 Cell[StyleData["TourLink", "SlideShow"]],
 
 Cell[StyleData["TourLink", "Printout"],
  FontVariations->{"Underline"->False},
  FontColor->GrayLevel[0]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["OtherInformationLink"],
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[0.269993, 0.308507, 0.6],
  ButtonBoxOptions->{Active->True,
  ButtonFrame->"None",
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`HelpBrowserLookup["OtherInformation", #]}]& )}],
 
 Cell[StyleData["OtherInformationLink", "Presentation"],
  FontSize->16],
 
 Cell[StyleData["OtherInformationLink", "SlideShow"]],
 
 Cell[StyleData["OtherInformationLink", "Printout"],
  FontSize->10,
  FontVariations->{"Underline"->False},
  FontColor->GrayLevel[0]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["MasterIndexLink"],
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[0.269993, 0.308507, 0.6],
  ButtonBoxOptions->{Active->True,
  ButtonFrame->"None",
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`HelpBrowserLookup["MasterIndex", #]}]& )}],
 
 Cell[StyleData["MasterIndexLink", "SlideShow"]],
 
 Cell[StyleData["MasterIndexLink", "Printout"],
  FontVariations->{"Underline"->False},
  FontColor->GrayLevel[0]]
 }, Closed]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Styles for Headers and Footers", "Section"],
 
 Cell[StyleData["Header"],
  CellMargins->{{0, 0}, {4, 1}},
  DefaultNewInlineCellStyle->"None",
  LanguageCategory->"NaturalLanguage",
  StyleMenuListing->None,
  FontSize->10,
  FontSlant->"Italic"],
 
 Cell[StyleData["Footer"],
  CellMargins->{{0, 0}, {0, 4}},
  DefaultNewInlineCellStyle->"None",
  LanguageCategory->"NaturalLanguage",
  StyleMenuListing->None,
  FontSize->9,
  FontSlant->"Italic"],
 
 Cell[StyleData["PageNumber"],
  CellMargins->{{0, 0}, {4, 1}},
  StyleMenuListing->None,
  FontFamily->"Times",
  FontSize->10]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Palette Styles", "Section"],
 
 Cell["\<\
The cells below define styles that define standard ButtonFunctions, for use \
in palette buttons.\
\>", "Text"],
 
 Cell[StyleData["Paste"],
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[{
     FrontEnd`NotebookApply[
      FrontEnd`InputNotebook[], #, Placeholder]}]& )}],
 
 Cell[StyleData["Evaluate"],
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[{
     FrontEnd`NotebookApply[
      FrontEnd`InputNotebook[], #, All], 
     FrontEnd`SelectionEvaluate[
      FrontEnd`InputNotebook[], All]}]& )}],
 
 Cell[StyleData["EvaluateCell"],
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[{
     FrontEnd`NotebookApply[
      FrontEnd`InputNotebook[], #, All], 
     FrontEnd`SelectionMove[
      FrontEnd`InputNotebook[], All, Cell, 1], 
     FrontEnd`SelectionEvaluateCreateCell[
      FrontEnd`InputNotebook[], All]}]& )}],
 
 Cell[StyleData["CopyEvaluate"],
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionCreateCell[
      FrontEnd`InputNotebook[], All], 
     FrontEnd`NotebookApply[
      FrontEnd`InputNotebook[], #, All], 
     FrontEnd`SelectionEvaluate[
      FrontEnd`InputNotebook[], All]}]& )}],
 
 Cell[StyleData["CopyEvaluateCell"],
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionCreateCell[
      FrontEnd`InputNotebook[], All], 
     FrontEnd`NotebookApply[
      FrontEnd`InputNotebook[], #, All], 
     FrontEnd`SelectionEvaluateCreateCell[
      FrontEnd`InputNotebook[], All]}]& )}]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Placeholder Styles", "Section"],
 
 Cell["\<\
The cells below define styles useful for making placeholder objects in \
palette templates.\
\>", "Text"],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Placeholder"],
  Placeholder->True,
  StyleMenuListing->None,
  FontSlant->"Italic",
  FontColor->RGBColor[0.890623, 0.864698, 0.384756],
  TagBoxOptions->{Editable->False,
  Selectable->False,
  StripWrapperBoxes->False}],
 
 Cell[StyleData["Placeholder", "Presentation"]],
 
 Cell[StyleData["Placeholder", "SlideShow"]],
 
 Cell[StyleData["Placeholder", "Printout"]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["PrimaryPlaceholder"],
  StyleMenuListing->None,
  DrawHighlighted->True,
  FontSlant->"Italic",
  Background->RGBColor[0.912505, 0.891798, 0.507774],
  TagBoxOptions->{Editable->False,
  Selectable->False,
  StripWrapperBoxes->False}],
 
 Cell[StyleData["PrimaryPlaceholder", "Presentation"]],
 
 Cell[StyleData["PrimaryPlaceholder", "SlideShow"]],
 
 Cell[StyleData["PrimaryPlaceholder", "Printout"]]
 }, Closed]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["FormatType Styles", "Section"],
 
 Cell["\<\
The cells below define styles that are mixed in with the styles of most \
cells.  If a cell's FormatType matches the name of one of the styles defined \
below, then that style is applied between the cell's style and its own \
options. This is particularly true of Input and Output.\
\>", "Text"],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["CellExpression"],
  PageWidth->Infinity,
  CellMargins->{{6, Inherited}, {Inherited, Inherited}},
  ShowCellLabel->False,
  ShowSpecialCharacters->False,
  AllowInlineCells->False,
  Hyphenation->False,
  AutoItalicWords->{},
  StyleMenuListing->None,
  FontFamily->"Courier",
  FontSize->12,
  Background->GrayLevel[1]],
 
 Cell[StyleData["CellExpression", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}},
  LineSpacing->{1, 5},
  FontSize->20]
 }, Closed]],
 
 Cell[StyleData["InputForm"],
  InputAutoReplacements->{},
  AllowInlineCells->False,
  Hyphenation->False,
  StyleMenuListing->None,
  FontFamily->"Courier"],
 
 Cell[StyleData["OutputForm"],
  PageWidth->Infinity,
  TextAlignment->Left,
  LineSpacing->{0.6, 1},
  StyleMenuListing->None,
  FontFamily->"Courier"],
 
 Cell[StyleData["StandardForm"],
  InputAutoReplacements->{
   "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> "\[LessEqual]", ">=" -> 
    "\[GreaterEqual]", "!=" -> "\[NotEqual]", "==" -> "\[Equal]", Inherited},
  "TwoByteSyntaxCharacterAutoReplacement"->True,
  LineSpacing->{1.25, 0},
  StyleMenuListing->None,
  FontFamily->"Courier"],
 
 Cell[StyleData["TraditionalForm"],
  InputAutoReplacements->{
   "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> "\[LessEqual]", ">=" -> 
    "\[GreaterEqual]", "!=" -> "\[NotEqual]", "==" -> "\[Equal]", Inherited},
  "TwoByteSyntaxCharacterAutoReplacement"->True,
  LineSpacing->{1.25, 0},
  SingleLetterItalics->True,
  TraditionalFunctionNotation->True,
  DelimiterMatching->None,
  StyleMenuListing->None],
 
 Cell["\<\
The style defined below is mixed in to any cell that is in an inline cell \
within another.\
\>", "Text"],
 
 Cell[StyleData["InlineCell"],
  LanguageCategory->"Formula",
  ScriptLevel->1,
  StyleMenuListing->None],
 
 Cell[StyleData["InlineCellEditing"],
  StyleMenuListing->None,
  Background->RGBColor[0.964706, 0.929412, 0.839216]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Automatic Styles", "Section"],
 
 Cell["\<\
The cells below define styles that are used to affect the display of certain \
types of objects in typeset expressions.  For example, \"UnmatchedBracket\" \
style defines how unmatched bracket, curly bracket, and parenthesis \
characters are displayed (typically by coloring them to make them stand out).\
\
\>", "Text"],
 
 Cell[StyleData["UnmatchedBracket"],
  StyleMenuListing->None,
  FontColor->RGBColor[0.760006, 0.330007, 0.8]],
 
 Cell[StyleData["Completions"],
  StyleMenuListing->None,
  FontFamily->"Courier"]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Styles from HelpBrowser", "Section"],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["MathCaption"],
  CellFrame->{{0, 0}, {0, 0.5}},
  CellMargins->{{66, 12}, {2, 24}},
  PageBreakBelow->False,
  CellFrameMargins->{{8, 8}, {8, 2}},
  CellFrameColor->GrayLevel[0.700008],
  CellFrameLabelMargins->4,
  LineSpacing->{1, 1},
  ParagraphSpacing->{0, 8},
  StyleMenuListing->None,
  FontColor->GrayLevel[0.2]],
 
 Cell[StyleData["MathCaption", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["MathCaption", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["MathCaption", "Printout"],
  CellMargins->{{39, 0}, {0, 14}},
  Hyphenation->True,
  FontSize->9,
  FontColor->GrayLevel[0]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["ObjectName"],
  ShowCellBracket->True,
  CellMargins->{{66, 4}, {8, 8}},
  Evaluatable->True,
  CellGroupingRules->"InputGrouping",
  PageBreakWithin->False,
  GroupPageBreakWithin->False,
  CellLabelAutoDelete->False,
  CellLabelMargins->{{14, Inherited}, {Inherited, Inherited}},
  DefaultFormatType->DefaultInputFormatType,
  ShowSpecialCharacters->Automatic,
  "TwoByteSyntaxCharacterAutoReplacement"->True,
  HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
  LanguageCategory->"Mathematica",
  FormatType->StandardForm,
  ShowStringCharacters->True,
  NumberMarks->True,
  StyleMenuListing->None,
  FontWeight->"Bold"],
 
 Cell[StyleData["ObjectName", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["ObjectName", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["ObjectName", "Printout"],
  ShowCellBracket->False,
  CellMargins->{{39, 0}, {6, 6}},
  FontSize->9]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Usage"],
  ShowCellBracket->True,
  CellMargins->{{66, 4}, {8, 8}},
  Evaluatable->True,
  CellGroupingRules->"InputGrouping",
  PageBreakWithin->False,
  GroupPageBreakWithin->False,
  CellLabelAutoDelete->False,
  CellLabelMargins->{{14, Inherited}, {Inherited, Inherited}},
  DefaultFormatType->DefaultInputFormatType,
  ShowSpecialCharacters->Automatic,
  "TwoByteSyntaxCharacterAutoReplacement"->True,
  HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
  LanguageCategory->"Mathematica",
  FormatType->StandardForm,
  ShowStringCharacters->True,
  NumberMarks->True,
  StyleMenuListing->None,
  FontWeight->"Bold"],
 
 Cell[StyleData["Usage", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["Usage", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["Usage", "Printout"],
  ShowCellBracket->False,
  CellMargins->{{39, 0}, {6, 6}},
  FontSize->9]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Notes"],
  ShowCellBracket->True,
  CellMargins->{{66, 4}, {8, 8}},
  Evaluatable->True,
  CellGroupingRules->"InputGrouping",
  PageBreakWithin->False,
  GroupPageBreakWithin->False,
  CellLabelAutoDelete->False,
  CellLabelMargins->{{14, Inherited}, {Inherited, Inherited}},
  DefaultFormatType->DefaultInputFormatType,
  ShowSpecialCharacters->Automatic,
  "TwoByteSyntaxCharacterAutoReplacement"->True,
  HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
  LanguageCategory->"Mathematica",
  FormatType->StandardForm,
  ShowStringCharacters->True,
  NumberMarks->True,
  StyleMenuListing->None,
  FontWeight->"Bold"],
 
 Cell[StyleData["Notes", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["Notes", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["Notes", "Printout"],
  ShowCellBracket->False,
  CellMargins->{{39, 0}, {6, 6}},
  FontSize->9]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["InlineOutput"],
  ShowCellBracket->True,
  CellMargins->{{66, 4}, {8, 8}},
  Evaluatable->True,
  CellGroupingRules->"InputGrouping",
  PageBreakWithin->False,
  GroupPageBreakWithin->False,
  CellLabelAutoDelete->False,
  CellLabelMargins->{{14, Inherited}, {Inherited, Inherited}},
  DefaultFormatType->DefaultInputFormatType,
  ShowSpecialCharacters->Automatic,
  "TwoByteSyntaxCharacterAutoReplacement"->True,
  HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
  LanguageCategory->"Mathematica",
  FormatType->StandardForm,
  ShowStringCharacters->True,
  NumberMarks->True,
  StyleMenuListing->None,
  FontWeight->"Bold"],
 
 Cell[StyleData["InlineOutput", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["InlineOutput", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["InlineOutput", "Printout"],
  ShowCellBracket->False,
  CellMargins->{{39, 0}, {6, 6}},
  FontSize->9]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Emphasis Boxes and Pictures", "Subsection"],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Box"],
  CellFrame->0.5,
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  StyleMenuListing->None,
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  FrameBoxOptions->{BoxFrame->0.5,
  BoxMargins->True},
  GridBoxOptions->{ColumnSpacings->1}],
 
 Cell[StyleData["Box", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["Box", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["Box", "Printout"],
  CellMargins->{{2, 0}, {0, 8}},
  FontSize->10,
  Background->GrayLevel[0.900008]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["DoubleBox"],
  CellFrame->0.5,
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  StyleMenuListing->None,
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  FrameBoxOptions->{BoxFrame->0.5,
  BoxMargins->True},
  GridBoxOptions->{ColumnSpacings->2,
  RowAlignments->Top}],
 
 Cell[StyleData["DoubleBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["DoubleBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["DoubleBox", "Printout"],
  CellMargins->{{2, 0}, {0, 8}},
  FontSize->10,
  Background->GrayLevel[0.900008]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["1ColumnBox"],
  CellFrame->0.5,
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  LineIndent->0,
  StyleMenuListing->None,
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  FrameBoxOptions->{BoxFrame->0.5,
  BoxMargins->True},
  GridBoxOptions->{ColumnSpacings->1}],
 
 Cell[StyleData["1ColumnBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["1ColumnBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["1ColumnBox", "Printout"],
  CellMargins->{{2, 0}, {0, 8}},
  FontSize->10,
  Background->GrayLevel[0.900008]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["2ColumnBox"],
  CellFrame->0.5,
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  SingleLetterItalics->False,
  LineIndent->0,
  StyleMenuListing->None,
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  FrameBoxOptions->{BoxFrame->0.5,
  BoxMargins->True},
  GridBoxOptions->{ColumnWidths->{0.31, 0.67}}],
 
 Cell[StyleData["2ColumnBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["2ColumnBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["2ColumnBox", "Printout"],
  CellMargins->{{2, 0}, {0, 8}},
  FontSize->9,
  Background->GrayLevel[0.900008]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["2ColumnEvenBox"],
  CellFrame->0.5,
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  LineIndent->0,
  StyleMenuListing->None,
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  FrameBoxOptions->{BoxFrame->0.5,
  BoxMargins->True},
  GridBoxOptions->{ColumnWidths->0.46}],
 
 Cell[StyleData["2ColumnEvenBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["2ColumnEvenBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["2ColumnEvenBox", "Printout"],
  CellMargins->{{2, 0}, {0, 8}},
  FontSize->10,
  Background->GrayLevel[0.900008]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["2ColumnSmallBox"],
  CellFrame->0.5,
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  LineIndent->0,
  StyleMenuListing->None,
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  FrameBoxOptions->{BoxFrame->0.5,
  BoxMargins->True},
  GridBoxOptions->{ColumnAlignments->{Right, Left},
  ColumnSpacings->1.5,
  ColumnWidths->0.35}],
 
 Cell[StyleData["2ColumnSmallBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["2ColumnSmallBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["2ColumnSmallBox", "Printout"],
  CellMargins->{{2, 0}, {0, 8}},
  FontSize->10,
  Background->GrayLevel[0.900008]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["3ColumnBox"],
  CellFrame->0.5,
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  LineIndent->0,
  StyleMenuListing->None,
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  FrameBoxOptions->{BoxFrame->0.5,
  BoxMargins->True},
  GridBoxOptions->{ColumnWidths->0.32}],
 
 Cell[StyleData["3ColumnBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["3ColumnBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["3ColumnBox", "Printout"],
  CellMargins->{{2, 0}, {0, 8}},
  FontSize->10,
  Background->GrayLevel[0.900008]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["3ColumnSmallBox"],
  CellFrame->0.5,
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  LineIndent->0,
  StyleMenuListing->None,
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  FrameBoxOptions->{BoxFrame->0.5,
  BoxMargins->True},
  GridBoxOptions->{ColumnAlignments->{Right, Center, Left},
  ColumnSpacings->1.5,
  ColumnWidths->0.24}],
 
 Cell[StyleData["3ColumnSmallBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["3ColumnSmallBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["3ColumnSmallBox", "Printout"],
  CellMargins->{{2, 0}, {0, 8}},
  FontSize->10,
  Background->GrayLevel[0.900008]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["4ColumnBox"],
  CellFrame->0.5,
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  SingleLetterItalics->False,
  LineIndent->0,
  StyleMenuListing->None,
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  FrameBoxOptions->{BoxFrame->0.5,
  BoxMargins->True},
  GridBoxOptions->{ColumnWidths->{0.13, 0.35, 0.13, 0.35}}],
 
 Cell[StyleData["4ColumnBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["4ColumnBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["4ColumnBox", "Printout"],
  CellMargins->{{2, 0}, {0, 8}},
  FontSize->10,
  Background->GrayLevel[0.900008]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["5ColumnBox"],
  CellFrame->0.5,
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  LineIndent->0,
  StyleMenuListing->None,
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  FrameBoxOptions->{BoxFrame->0.5,
  BoxMargins->True},
  GridBoxOptions->{ColumnWidths->0.202}],
 
 Cell[StyleData["5ColumnBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["5ColumnBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["5ColumnBox", "Printout"],
  CellMargins->{{2, 0}, {0, 8}},
  FontSize->9,
  Background->GrayLevel[0.900008]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["6ColumnBox"],
  CellFrame->0.5,
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  LineIndent->0,
  StyleMenuListing->None,
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  FrameBoxOptions->{BoxFrame->0.5,
  BoxMargins->True},
  GridBoxOptions->{ColumnWidths->{0.12, 0.22, 0.12, 0.12, 0.22, 0.12}}],
 
 Cell[StyleData["6ColumnBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["6ColumnBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["6ColumnBox", "Printout"],
  CellMargins->{{2, 0}, {0, 8}},
  FontSize->10,
  Background->GrayLevel[0.900008]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["FramedBox"],
  CellFrame->0.5,
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  PageBreakWithin->False,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  AutoIndent->False,
  AutoSpacing->False,
  LineIndent->0,
  StyleMenuListing->None,
  FontWeight->"Plain",
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  GridBoxOptions->{ColumnAlignments->{Left},
  RowSpacings->1.5}],
 
 Cell[StyleData["FramedBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["FramedBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["FramedBox", "Printout"],
  CellMargins->{{2, 4}, {0, 8}},
  FontSize->10,
  Background->GrayLevel[1]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["DefinitionBox"],
  CellFrame->0.5,
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  PageBreakWithin->False,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  AutoIndent->False,
  AutoSpacing->False,
  LineIndent->0,
  StyleMenuListing->None,
  FontWeight->"Plain",
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  GridBoxOptions->{ColumnAlignments->{Left},
  ColumnSpacings->1,
  ColumnWidths->{0.4, 0.6},
  RowSpacings->1.5}],
 
 Cell[StyleData["DefinitionBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["DefinitionBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["DefinitionBox", "Printout"],
  CellMargins->{{2, 4}, {0, 8}},
  FontSize->10,
  Background->GrayLevel[1]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["DefinitionBox3Col"],
  CellFrame->0.5,
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  PageBreakWithin->False,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  AutoIndent->False,
  AutoSpacing->False,
  LineIndent->0,
  StyleMenuListing->None,
  FontWeight->"Plain",
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  GridBoxOptions->{ColumnAlignments->{Left},
  ColumnSpacings->1,
  ColumnWidths->{0.35, 0.2, 0.45},
  RowSpacings->1.5}],
 
 Cell[StyleData["DefinitionBox3Col", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["DefinitionBox3Col", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["DefinitionBox3Col", "Printout"],
  CellMargins->{{2, 4}, {0, 8}},
  FontSize->10,
  Background->GrayLevel[1]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["DefinitionBox4Col"],
  CellFrame->0.5,
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  PageBreakWithin->False,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  AutoIndent->False,
  AutoSpacing->False,
  LineIndent->0,
  StyleMenuListing->None,
  FontWeight->"Plain",
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  GridBoxOptions->{ColumnAlignments->{Left},
  ColumnSpacings->1,
  ColumnWidths->{0.15, 0.35, 0.15, 0.35},
  RowSpacings->1.5}],
 
 Cell[StyleData["DefinitionBox4Col", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["DefinitionBox4Col", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["DefinitionBox4Col", "Printout"],
  CellMargins->{{2, 4}, {0, 8}},
  FontSize->10,
  Background->GrayLevel[1]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["DefinitionBox5Col"],
  CellFrame->0.5,
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  PageBreakWithin->False,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  AutoIndent->False,
  AutoSpacing->False,
  LineIndent->0,
  StyleMenuListing->None,
  FontWeight->"Plain",
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  GridBoxOptions->{ColumnAlignments->{Left},
  ColumnSpacings->1,
  ColumnWidths->0.2,
  RowSpacings->1.5}],
 
 Cell[StyleData["DefinitionBox5Col", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["DefinitionBox5Col", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["DefinitionBox5Col", "Printout"],
  CellMargins->{{2, 4}, {0, 8}},
  FontSize->10,
  Background->GrayLevel[1]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["DefinitionBox6Col"],
  CellFrame->0.5,
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  PageBreakWithin->False,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  AutoIndent->False,
  AutoSpacing->False,
  LineIndent->0,
  StyleMenuListing->None,
  FontWeight->"Plain",
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  GridBoxOptions->{ColumnAlignments->{Left},
  ColumnSpacings->1,
  ColumnWidths->{0.13, 0.24, 0.13, 0.13, 0.24, 0.13},
  RowSpacings->1.5}],
 
 Cell[StyleData["DefinitionBox6Col", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["DefinitionBox6Col", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["DefinitionBox6Col", "Printout"],
  CellMargins->{{2, 4}, {0, 8}},
  FontSize->10,
  Background->GrayLevel[1]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["TopBox"],
  CellFrame->{{0.5, 0.5}, {0, 0.5}},
  CellMargins->{{27, 12}, {0, 8}},
  CellHorizontalScrolling->True,
  PageBreakBelow->False,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  AutoIndent->False,
  AutoSpacing->False,
  LineIndent->0,
  StyleMenuListing->None,
  FontWeight->"Plain",
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  GridBoxOptions->{ColumnAlignments->{Left},
  ColumnSpacings->1,
  ColumnWidths->{0.31, 0.62},
  RowSpacings->1.5}],
 
 Cell[StyleData["TopBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["TopBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["TopBox", "Printout"],
  CellMargins->{{2, 0}, {0, 8}},
  Background->GrayLevel[1]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["MiddleBox"],
  CellFrame->{{0.5, 0.5}, {0, 0}},
  CellMargins->{{27, 12}, {0, -7}},
  CellHorizontalScrolling->True,
  PageBreakAbove->False,
  PageBreakBelow->False,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  AutoIndent->False,
  AutoSpacing->False,
  LineIndent->0,
  StyleMenuListing->None,
  FontWeight->"Plain",
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  GridBoxOptions->{ColumnAlignments->{Left},
  ColumnSpacings->1,
  ColumnWidths->{0.31, 0.62},
  RowSpacings->1.5}],
 
 Cell[StyleData["MiddleBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["MiddleBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["MiddleBox", "Printout"],
  CellMargins->{{2, 0}, {0, 2}},
  Background->GrayLevel[1]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["BottomBox"],
  CellFrame->{{0.5, 0.5}, {0.5, 0}},
  CellMargins->{{27, 12}, {0, -7}},
  CellHorizontalScrolling->True,
  PageBreakAbove->False,
  PageBreakBelow->False,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  AutoIndent->False,
  AutoSpacing->False,
  LineIndent->0,
  StyleMenuListing->None,
  FontWeight->"Plain",
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  GridBoxOptions->{ColumnAlignments->{Left},
  ColumnSpacings->1,
  ColumnWidths->{0.31, 0.62},
  RowSpacings->1.5}],
 
 Cell[StyleData["BottomBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["BottomBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["BottomBox", "Printout"],
  CellMargins->{{2, 0}, {0, -5}},
  FontSize->10,
  Background->GrayLevel[1],
  GridBoxOptions->{RowMinHeight->2.2}]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["TopSpanBox"],
  CellFrame->{{0.5, 0.5}, {0, 0.5}},
  CellMargins->{{27, 12}, {-2, 8}},
  CellHorizontalScrolling->True,
  PageBreakBelow->False,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  AutoIndent->False,
  AutoSpacing->False,
  LineIndent->0,
  StyleMenuListing->None,
  FontWeight->"Plain",
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  GridBoxOptions->{ColumnAlignments->{Left},
  ColumnSpacings->1,
  ColumnWidths->{0.9, 0.03},
  RowSpacings->1.5}],
 
 Cell[StyleData["TopSpanBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["TopSpanBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["TopSpanBox", "Printout"],
  CellMargins->{{2, 0}, {-2, 8}},
  FontSize->10,
  Background->GrayLevel[1]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["MiddleSpanBox"],
  CellFrame->{{0.5, 0.5}, {0, 0}},
  CellMargins->{{27, 12}, {0, 0}},
  CellHorizontalScrolling->True,
  PageBreakAbove->False,
  PageBreakBelow->False,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  AutoIndent->False,
  AutoSpacing->False,
  LineIndent->0,
  StyleMenuListing->None,
  FontWeight->"Plain",
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  GridBoxOptions->{ColumnAlignments->{Left},
  ColumnSpacings->1,
  ColumnWidths->{0.9, 0.03},
  RowSpacings->1.5}],
 
 Cell[StyleData["MiddleSpanBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["MiddleSpanBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["MiddleSpanBox", "Printout"],
  CellMargins->{{2, 0}, {-5, 0}},
  FontSize->10,
  Background->GrayLevel[1],
  GridBoxOptions->{RowMinHeight->1.8}]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Picture"],
  CellMargins->{{27, Inherited}, {4, 4}},
  CellGroupingRules->"GraphicsGrouping",
  CellHorizontalScrolling->True,
  StyleMenuListing->None],
 
 Cell[StyleData["Picture", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["Picture", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["Picture", "Printout"],
  CellMargins->{{2, Inherited}, {4, 4}},
  Magnification->0.65]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["OpenCloseItemizedPicture"],
  CellMargins->{{88, 4}, {4, 4}},
  PrivateCellOptions->{"DefaultCellGroupOpen"->False},
  CellGroupingRules->"GraphicsGrouping",
  CellHorizontalScrolling->True,
  StyleMenuListing->None],
 
 Cell[StyleData["OpenCloseItemizedPicture", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["OpenCloseItemizedPicture", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["OpenCloseItemizedPicture", "Printout"],
  CellMargins->{{76, 2}, {0, 0}},
  CellElementSpacings->{"CellMinHeight"->1,
  "ClosedCellHeight"->0},
  CellOpen->False]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["ItemizedPicture"],
  CellMargins->{{88, 4}, {4, 4}},
  CellGroupingRules->"GraphicsGrouping",
  CellHorizontalScrolling->True,
  StyleMenuListing->None],
 
 Cell[StyleData["ItemizedPicture", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["ItemizedPicture", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["ItemizedPicture", "Printout"],
  CellMargins->{{77, 2}, {4, -4}},
  Magnification->0.5]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["ListGraphic"],
  CellMargins->{{88, 4}, {4, 4}},
  CellGroupingRules->"GraphicsGrouping",
  CellHorizontalScrolling->True,
  StyleMenuListing->None],
 
 Cell[StyleData["ListGraphic", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["ListGraphic", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["ListGraphic", "Printout"],
  CellMargins->{{77, 2}, {4, -4}},
  Magnification->0.5]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["ListNoteBox"],
  CellFrame->0.5,
  CellMargins->{{88, 12}, {8, 8}},
  CellHorizontalScrolling->True,
  CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
  LineIndent->0,
  StyleMenuListing->None,
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  FrameBoxOptions->{BoxMargins->{{1, 1}, {1.5, 1.5}}},
  GridBoxOptions->{ColumnSpacings->1}],
 
 Cell[StyleData["ListNoteBox", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["ListNoteBox", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["ListNoteBox", "Printout"],
  CellMargins->{{77, 4}, {6, 2}},
  FontSize->10,
  Background->GrayLevel[0.900008]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["PictureGroup"],
  CellMargins->{{41, 4}, {0, 4}},
  CellGroupingRules->"GraphicsGrouping",
  CellHorizontalScrolling->True,
  StyleMenuListing->None],
 
 Cell[StyleData["PictureGroup", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["PictureGroup", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["PictureGroup", "Printout"],
  CellMargins->{{76, 2}, {0, 0}},
  CellElementSpacings->{"CellMinHeight"->1,
  "ClosedCellHeight"->0},
  CellOpen->False]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Sound"],
  ShowCellBracket->True,
  CellMargins->{{27, Inherited}, {0, 8}},
  StyleMenuListing->None],
 
 Cell[StyleData["Sound", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["Sound", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["Sound", "Printout"],
  CellMargins->{{2, 0}, {0, 8}},
  FontSize->10]
 }, Closed]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Tables", "Subsection"],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["2ColumnTable"],
  CellMargins->{{35, 4}, {0, 8}},
  CellHorizontalScrolling->True,
  LineIndent->0,
  StyleMenuListing->None,
  GridBoxOptions->{ColumnAlignments->{Left},
  ColumnWidths->{0.34, 0.64}}],
 
 Cell[StyleData["2ColumnTable", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["2ColumnTable", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["2ColumnTable", "Printout"],
  CellMargins->{{2, 0}, {0, 8}},
  FontSize->9]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["2ColumnEvenTable"],
  CellMargins->{{35, 4}, {0, 8}},
  CellHorizontalScrolling->True,
  LineIndent->0,
  StyleMenuListing->None,
  GridBoxOptions->{ColumnAlignments->{Left},
  ColumnWidths->0.49}],
 
 Cell[StyleData["2ColumnEvenTable", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["2ColumnEvenTable", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["2ColumnEvenTable", "Printout"],
  CellMargins->{{2, 0}, {0, 8}},
  FontSize->9]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["3ColumnTable"],
  CellMargins->{{35, 4}, {0, 8}},
  CellHorizontalScrolling->True,
  LineIndent->0,
  StyleMenuListing->None,
  GridBoxOptions->{ColumnAlignments->{Left},
  ColumnWidths->{0.28, 0.28, 0.43}}],
 
 Cell[StyleData["3ColumnTable", "Presentation"],
  CellMargins->{{72, Inherited}, {Inherited, Inherited}},
  FontSize->18],
 
 Cell[StyleData["3ColumnTable", "SlideShow"],
  CellMargins->{{100, 50}, {Inherited, Inherited}}],
 
 Cell[StyleData["3ColumnTable", "Printout"],
  CellMargins->{{2, 0}, {0, 8}},
  FontSize->9]
 }, Closed]]
 }, Closed]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Slide Show Styles", "Section"],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["SlideShowNavigationBar"],
  CellFrame->True,
  CellMargins->{{0, 0}, {3, 50}},
  CellElementSpacings->{"CellMinHeight"->0.8125},
  CellGroupingRules->{"SectionGrouping", 0},
  CellFrameMargins->False,
  CellFrameColor->GrayLevel[1],
  CellFrameLabelMargins->False,
  CounterIncrements->"SlideShowNavigationBar",
  StyleMenuListing->None,
  FontSize->10,
  Magnification->1,
  Background->GrayLevel[1],
  GridBoxOptions->{
  ColumnAlignments->{
   Center, Center, Center, Center, Center, Center, Right, Center},
  ColumnSpacings->0,
  ColumnWidths->{3.5, 3.5, 3.5, 3.5, 40, 5, 4},
  GridBaseline->Center,
  RowAlignments->Baseline,
  RowSpacings->0}],
 
 Cell[StyleData["SlideShowNavigationBar", "Working"],
  CellFrame->{{3, 0}, {0, 3}},
  CellFrameColor->RGBColor[1, 0, 1]],
 
 Cell[StyleData["SlideShowNavigationBar", "Presentation"],
  FontSize->10,
  Magnification->1],
 
 Cell[StyleData["SlideShowNavigationBar", "SlideShow"],
  Deletable->False,
  ShowCellBracket->False,
  CellMargins->{{-1, -1}, {-1, -1}},
  PageBreakAbove->True,
  CellFrameMargins->{{1, 1}, {0, 0}},
  Background->RGBColor[0.827451, 0.333333, 0.258824]],
 
 Cell[StyleData["SlideShowNavigationBar", "Printout"],
  CellOpen->False,
  FontSize->1]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["SlideShowSection"],
  CellFrame->{{0, 0}, {0, 0.5}},
  CellMargins->{{0, 0}, {10, 0}},
  CellGroupingRules->{"SectionGrouping", 40},
  PageBreakBelow->False,
  CellFrameMargins->{{12, 4}, {6, 12}},
  InputAutoReplacements->{"TeX" -> StyleBox[
      RowBox[{"T", 
        AdjustmentBox[
        "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
         0.5], "X"}]], "LaTeX" -> StyleBox[
      RowBox[{"L", 
        StyleBox[
         AdjustmentBox[
         "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
          BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
        AdjustmentBox[
        "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
         0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", "MMA" -> 
    "Mathematica", "gridMathematica" -> FormBox[
      RowBox[{"grid", 
        AdjustmentBox[
         StyleBox["Mathematica", FontSlant -> "Italic"], 
         BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], "webMathematica" -> 
    FormBox[
      RowBox[{"web", 
        AdjustmentBox[
         StyleBox["Mathematica", FontSlant -> "Italic"], 
         BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited},
  CounterIncrements->"Section",
  CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
  StyleMenuListing->None,
  FontFamily->"Helvetica",
  FontSize->24,
  FontWeight->"Plain",
  FontColor->GrayLevel[1],
  Background->RGBColor[0.545098, 0.713726, 0.764706]],
 
 Cell[StyleData["SlideShowSection", "Presentation"],
  CellFrameMargins->{{20, 10}, {10, 18}},
  FontSize->27],
 
 Cell[StyleData["SlideShowSection", "SlideShow"],
  ShowCellBracket->False,
  PageBreakAbove->True],
 
 Cell[StyleData["SlideShowSection", "Printout"],
  CellMargins->{{18, 30}, {0, 30}},
  CellFrameMargins->5,
  FontSize->14]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["SlideHyperlink"],
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  FontSize->26,
  FontColor->GrayLevel[0.400015],
  ButtonBoxOptions->{Active->True,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`NotebookLocate[#2]}]& ),
  ButtonMargins->0.5,
  ButtonMinHeight->0.85,
  ButtonNote->None}],
 
 Cell[StyleData["SlideHyperlink", "Presentation"],
  CellMargins->{{14, 10}, {6, 12}}],
 
 Cell[StyleData["SlideHyperlink", "SlideShow"]],
 
 Cell[StyleData["SlideHyperlink", "Printout"],
  FontSize->10,
  FontVariations->{"Underline"->False},
  FontColor->GrayLevel[0]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["SlidePreviousNextLink"],
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  FontFamily->"Helvetica",
  FontSize->16,
  FontColor->GrayLevel[0.500008],
  ButtonBoxOptions->{Active->True,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`NotebookLocate[#2]}]& ),
  ButtonMargins->0.5,
  ButtonMinHeight->0.85,
  ButtonNote->None}],
 
 Cell[StyleData["SlidePreviousNextLink", "Presentation"],
  FontSize->12],
 
 Cell[StyleData["SlidePreviousNextLink", "SlideShow"]],
 
 Cell[StyleData["SlidePreviousNextLink", "Printout"],
  FontSize->10,
  FontVariations->{"Underline"->False},
  FontColor->GrayLevel[0]]
 }, Open  ]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["PreviousNext"],
  CellMargins->{{60, 10}, {7, 7}},
  TextAlignment->0.75,
  LineSpacing->{1, 3},
  CounterIncrements->"PreviousNext",
  FontFamily->"Helvetica",
  FontSize->14,
  FontColor->GrayLevel[0.500008]],
 
 Cell[StyleData["PreviousNext", "Presentation"],
  CellMargins->{{24, 50}, {10, 10}},
  LineSpacing->{1, 5},
  FontSize->12],
 
 Cell[StyleData["PreviousNext", "SlideShow"],
  ShowCellBracket->False,
  CellMargins->{{50, 50}, {50, 15}},
  FontSize->14],
 
 Cell[StyleData["PreviousNext", "Printout"],
  CellMargins->{{2, 2}, {6, 6}},
  TextJustification->0.5,
  Hyphenation->True,
  FontSize->10]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["SlideTOCLink"],
  CellMargins->{{24, Inherited}, {Inherited, Inherited}},
  StyleMenuListing->None,
  ButtonStyleMenuListing->Automatic,
  FontFamily->"Helvetica",
  ButtonBoxOptions->{Active->True,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`NotebookLocate[#2]}]& ),
  ButtonMargins->1.5,
  ButtonNote->ButtonData}],
 
 Cell[StyleData["SlideTOCLink", "Presentation"],
  CellMargins->{{35, 10}, {8, 8}},
  FontSize->18],
 
 Cell[StyleData["SlideTOCLink", "SlideShow"]],
 
 Cell[StyleData["SlideTOCLink", "Printout"],
  FontVariations->{"Underline"->False},
  FontColor->GrayLevel[0]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["SlideTOC"],
  CellDingbat->"\[Bullet]",
  CellMargins->{{18, Inherited}, {Inherited, Inherited}},
  StyleMenuListing->None,
  FontFamily->"Helvetica"],
 
 Cell[StyleData["SlideTOC", "Presentation"],
  CellMargins->{{25, 10}, {10, 5}},
  FontSize->18],
 
 Cell[StyleData["SlideTOC", "SlideShow"],
  FontSize->14],
 
 Cell[StyleData["SlideTOC", "Printout"],
  FontSize->10,
  FontColor->GrayLevel[0]]
 }, Open  ]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Styles used in Notations", "Section"],
 
 Cell[StyleData["FeynmanSlash"],
  StyleMenuListing->None,
  TagBoxOptions->{Editable->False,
  Selectable->False,
  SyntaxForm->"symbol"},
  GridBoxOptions->{RowSpacings->-2}],
 
 Cell[CellGroupData[{
 
 Cell["Generic Derivatives", "Subsection"],
 
 Cell[StyleData["GenericDStyle"],
  ShowSyntaxStyles->False,
  ZeroWidthTimes->True,
  StyleMenuListing->None,
  TagBoxOptions->{Editable->False,
  Selectable->False,
  SyntaxForm->"\[PartialD]"},
  GridBoxOptions->{ColumnSpacings->0}]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Examples", "Subsection"],
 
 Cell[StyleData["BoldTagStyle"],
  StyleMenuListing->None,
  FontWeight->"Bold"]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Tensors", "Subsection"],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["TensorIndices"],
  Evaluatable->False,
  ShowSyntaxStyles->False,
  StyleMenuListing->None,
  FontSize->9,
  FontWeight->"Plain",
  AdjustmentBoxOptions->{BoxBaselineShift->-0.45,
  BoxMargins->{{0, 0.2}, {0.45, -0.15}}},
  TagBoxOptions->{Editable->True,
  Selectable->True},
  GridBoxOptions->{ColumnSpacings->0.3,
  GridBaseline->Axis,
  RowSpacings->1.4}],
 
 Cell[StyleData["TensorIndices", "Printout"],
  Evaluatable->False,
  StyleMenuListing->None,
  FontSize->7,
  AdjustmentBoxOptions->{BoxBaselineShift->-0.45},
  TagBoxOptions->{Editable->True,
  Selectable->True},
  GridBoxOptions->{ColumnSpacings->0.3,
  GridBaseline->Axis,
  RowSpacings->1.4}],
 
 Cell[StyleData["TensorIndices", "Printout9C"],
  Evaluatable->False,
  StyleMenuListing->None,
  FontSize->7,
  AdjustmentBoxOptions->{BoxBaselineShift->-0.45},
  TagBoxOptions->{Editable->True,
  Selectable->True},
  GridBoxOptions->{ColumnSpacings->0.3,
  GridBaseline->Axis,
  RowSpacings->1.4}],
 
 Cell[StyleData["TensorIndices", "Printout10C"],
  Evaluatable->False,
  StyleMenuListing->None,
  FontSize->7,
  AdjustmentBoxOptions->{BoxBaselineShift->-0.45},
  TagBoxOptions->{Editable->True,
  Selectable->True},
  GridBoxOptions->{ColumnSpacings->0.3,
  GridBaseline->Axis,
  RowSpacings->1.4}],
 
 Cell[StyleData["TensorIndices", "Printout10.5C"],
  Evaluatable->False,
  StyleMenuListing->None,
  FontSize->7,
  AdjustmentBoxOptions->{BoxBaselineShift->-0.45},
  TagBoxOptions->{Editable->True,
  Selectable->True},
  GridBoxOptions->{ColumnSpacings->0.3,
  GridBaseline->Axis,
  RowSpacings->1.4}],
 
 Cell[StyleData["TensorIndices", "Printout11C"],
  Evaluatable->False,
  StyleMenuListing->None,
  FontSize->7.5,
  AdjustmentBoxOptions->{BoxBaselineShift->-0.45},
  TagBoxOptions->{Editable->True,
  Selectable->True},
  GridBoxOptions->{ColumnSpacings->0.3,
  GridBaseline->Axis,
  RowSpacings->1.4}]
 }, Closed]],
 
 Cell[StyleData["TensorArgument"],
  Evaluatable->False,
  ShowSyntaxStyles->False,
  StyleMenuListing->None,
  FontWeight->"Bold",
  TagBoxOptions->{Editable->True,
  Selectable->True}],
 
 Cell[StyleData["TensorName"],
  Evaluatable->False,
  ShowSyntaxStyles->False,
  StyleMenuListing->None,
  FontWeight->"Bold",
  TagBoxOptions->{Editable->True,
  Selectable->True}],
 
 Cell[StyleData["TensorWrapper"],
  ShowSyntaxStyles->False,
  StyleMenuListing->None,
  TagBoxOptions->{Editable->False,
  Selectable->False,
  SyntaxForm->"symbol"}],
 
 Cell[StyleData["TensorStarStyle"],
  ShowSyntaxStyles->False,
  StyleMenuListing->None,
  FontColor->GrayLevel[0.666667]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Bras & Kets", "Subsection"],
 
 Cell["\<\
The cells below define certain styles needed for defining Bras&Kets. These \
styles serve to give the correct structural properties to Bras & Kets\
\>", "Text",
  CellTags->"NotationPackage35"],
 
 Cell[StyleData["BraKetArg"],
  ShowSyntaxStyles->False,
  SpanMinSize->Automatic,
  StyleMenuListing->None,
  AutoStyleOptions -> {"UnmatchedBracketStyle" -> "UnmatchedBracket"},
  AdjustmentBoxOptions->{BoxMargins->{{0, 0}, {0, 0}}},
  TagBoxOptions->{Editable->True,
  Selectable->True}],
 
 Cell[StyleData["KetArg"],
  ShowSyntaxStyles->False,
  SpanMinSize->Automatic,
  StyleMenuListing->None,
  AutoStyleOptions -> {"UnmatchedBracketStyle" -> "UnmatchedBracket"},
  AdjustmentBoxOptions->{BoxMargins->{{-0.25, 0}, {0, 0}}},
  TagBoxOptions->{Editable->True,
  Selectable->True}],
 
 Cell[StyleData["BraArg"],
  ShowSyntaxStyles->False,
  SpanMinSize->Automatic,
  StyleMenuListing->None,
  AutoStyleOptions -> {"UnmatchedBracketStyle" -> "UnmatchedBracket"},
  AdjustmentBoxOptions->{BoxMargins->{{0, -0.2}, {0, 0}}},
  TagBoxOptions->{Editable->True,
  Selectable->True}],
 
 Cell[StyleData["BraWrapper"],
  ShowSyntaxStyles->False,
  SpanMinSize->2,
  StyleMenuListing->None,
  AutoStyleOptions -> {"UnmatchedBracketStyle" -> None},
  AdjustmentBoxOptions->{BoxMargins->{{0, -0.1}, {0, 0}}},
  TagBoxOptions->{Editable->False,
  Selectable->False,
  SyntaxForm->"symbol"}],
 
 Cell[StyleData["KetWrapper"],
  ShowSyntaxStyles->False,
  SpanMinSize->2,
  StyleMenuListing->None,
  AutoStyleOptions -> {"UnmatchedBracketStyle" -> None},
  AdjustmentBoxOptions->{BoxMargins->{{-0.4, 0}, {0, 0}}},
  TagBoxOptions->{Editable->False,
  Selectable->False,
  SyntaxForm->"symbol"}],
 
 Cell[StyleData["BraKetWrapper"],
  ShowSyntaxStyles->False,
  SpanMinSize->2,
  StyleMenuListing->None,
  AutoStyleOptions -> {"UnmatchedBracketStyle" -> None},
  AdjustmentBoxOptions->{BoxMargins->{{0.25, 0.25}, {0, 0}}},
  TagBoxOptions->{Editable->False,
  Selectable->False,
  SyntaxForm->"symbol"}]
 }, Closed]]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["Notation Package Styles", "Section",
  CellTags->"NotationPackage"],
 
 Cell["\<\
The cells below define certain styles needed by the Notation package. These \
styles serve to make visible otherwise invisible tagboxes.\
\>", "Text",
  CellTags->"NotationPackage"],
 
 Cell[StyleData["NotationTemplateStyle"],
  StyleMenuListing->None,
  Background->RGBColor[1, 1, 0.85],
  TagBoxOptions->{SyntaxForm->"symbol"},
  CellTags->"NotationPackage"],
 
 Cell[StyleData["NotationPatternWrapperStyle"],
  StyleMenuListing->None,
  Background->RGBColor[1, 0.9, 0.98],
  TagBoxOptions->{SyntaxForm->"symbol"},
  CellTags->"NotationPackage"],
 
 Cell[StyleData["NotationMadeBoxesWrapperStyle"],
  StyleMenuListing->None,
  Background->RGBColor[0.9, 0.89, 1],
  TagBoxOptions->{SyntaxForm->"symbol"},
  CellTags->"NotationPackage"]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell["TemplateBox styles", "Section",
  CellTags->"NotationPackage"],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Vector"],
  FontSlant->"Plain",
  TemplateBoxOptions->{Wrapper->(OverscriptBox[#, "\[RightVector]"]& )}],
 
 Cell[StyleData["Vector", "SlideShow"],
  CellMargins->{{100, 50}, {8, 10}},
  LineSpacing->{1, 0},
  FontSize->18]
 }, Closed]],
 
 Cell[CellGroupData[{
 
 Cell[StyleData["Binomial"],
  TemplateBoxOptions->{Wrapper->(RowBox[{"(", 
     GridBox[{{#}, {#2}}], ")"}]& )}],
 
 Cell[StyleData["Binomial", "SlideShow"],
  CellMargins->{{100, 50}, {8, 10}},
  LineSpacing->{1, 0},
  FontSize->18]
 }, Closed]],
 
 Cell[StyleData["KetStyle"],
  TemplateBoxOptions->{SyntaxForm->"symbol",
  Wrapper->(StyleBox[
    AdjustmentBox[
     RowBox[{"\[VerticalSeparator]", 
       StyleBox[
        AdjustmentBox[#, BoxMargins -> {{-0.25, 0}, {0, 0}}], 
        AutoStyleOptions -> {"SyntaxErrorStyle" -> "UnmatchedBracket"}, 
        SpanMinSize -> Automatic], "\[RightAngleBracket]"}], 
     BoxMargins -> {{-0.4, 0}, {0, 0}}], 
    AutoStyleOptions -> {"SyntaxErrorStyle" -> None}, SpanMinSize -> 
    1.5]& )}],
 
 Cell[StyleData["BraStyle"],
  TemplateBoxOptions->{SyntaxForm->"symbol",
  Wrapper->(StyleBox[
    AdjustmentBox[
     RowBox[{"\[LeftAngleBracket]", 
       StyleBox[
        AdjustmentBox[#, BoxMargins -> {{0, -0.2}, {0, 0}}], 
        AutoStyleOptions -> {"SyntaxErrorStyle" -> "UnmatchedBracket"}, 
        SpanMinSize -> Automatic], "\[VerticalSeparator]"}], 
     BoxMargins -> {{0, -0.1}, {0, 0}}], 
    AutoStyleOptions -> {"SyntaxErrorStyle" -> None}, SpanMinSize -> 2]& )}]
 }, Open  ]]
 }, Open  ]]
 }]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SlideShowHeader"->{
  Cell[590, 23, 1334, 42, 78, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[3638, 122, 1350, 42, 78, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[6341, 218, 1350, 42, 78, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[42112, 875, 1350, 42, 78, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[44645, 964, 1350, 42, 78, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[47987, 1087, 1350, 42, 78, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[50275, 1163, 1350, 42, 78, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[55798, 1376, 1350, 42, 78, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[58013, 1450, 1350, 42, 78, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[61648, 1571, 1350, 42, 78, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[66021, 1725, 1350, 42, 78, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[70016, 1863, 1350, 42, 78, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[73963, 1991, 1350, 42, 78, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[77738, 2131, 1350, 42, 78, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[81987, 2272, 1350, 42, 78, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"]},
 "index00040"->{
  Cell[63057, 1619, 617, 20, 37, "Input",
   CellTags->"index00040"]},
 "index00041"->{
  Cell[63742, 1643, 1046, 36, 69, "Input",
   CellTags->"index00041"]},
 "index00190"->{
  Cell[83463, 2324, 431, 13, 29, "Input",
   CellTags->"index00190"]},
 "index00191"->{
  Cell[84404, 2356, 501, 19, 35, "Text",
   CellTags->"index00191"]},
 "index00193"->{
  Cell[85654, 2406, 549, 20, 24, "Input",
   CellTags->"index00193"]},
 "index00194"->{
  Cell[88697, 2518, 111, 4, 26, "Text",
   CellTags->"index00194"]},
 "index00195"->{
  Cell[89411, 2543, 93, 4, 26, "Text",
   CellTags->"index00195"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SlideShowHeader", 188607, 6020},
 {"index00040", 190010, 6051},
 {"index00041", 190098, 6054},
 {"index00190", 190187, 6057},
 {"index00191", 190275, 6060},
 {"index00193", 190362, 6063},
 {"index00194", 190450, 6066},
 {"index00195", 190536, 6069}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 1334, 42, 78, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[1927, 67, 75, 1, 123, "Title"],
Cell[2005, 70, 69, 1, 46, "Subtitle"],
Cell[2077, 73, 55, 3, 71, "Author"],
Cell[CellGroupData[{
Cell[2157, 80, 27, 0, 62, "Section"],
Cell[2187, 82, 738, 16, 86, "Text"],
Cell[2928, 100, 661, 16, 30, "PreviousNext"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[3638, 122, 1350, 42, 78, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[5013, 168, 40, 0, 62, "Section"],
Cell[5056, 170, 97, 2, 26, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5190, 177, 30, 0, 62, "Section"],
Cell[CellGroupData[{
Cell[5245, 181, 51, 0, 36, "Subsection"],
Cell[5299, 183, 207, 6, 40, "Input"],
Cell[5509, 191, 107, 2, 24, "TechnicalNote"],
Cell[5619, 195, 661, 16, 30, "PreviousNext"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[6341, 218, 1350, 42, 78, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[7716, 264, 45, 0, 62, "Section"],
Cell[7764, 266, 49, 1, 24, "Input"],
Cell[CellGroupData[{
Cell[7838, 271, 38, 0, 36, "Subsection"],
Cell[7879, 273, 32379, 533, 248, "Graphics",
 Evaluatable->False],
Cell[40261, 808, 119, 3, 41, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40417, 816, 37, 0, 36, "Subsection"],
Cell[40457, 818, 50, 0, 24, "TechnicalNote"],
Cell[40510, 820, 50, 1, 38, "Input"],
Cell[40563, 823, 459, 13, 82, "Input"],
Cell[41025, 838, 314, 10, 59, "Input"],
Cell[41342, 850, 45, 0, 24, "TechnicalNote"],
Cell[41390, 852, 661, 16, 81, "PreviousNext"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[42112, 875, 1350, 42, 78, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[43487, 921, 58, 0, 62, "Section"],
Cell[43548, 923, 34, 0, 26, "BulletedList"],
Cell[43585, 925, 49, 0, 24, "TechnicalNote"],
Cell[43637, 927, 34, 0, 26, "BulletedList"],
Cell[43674, 929, 123, 3, 24, "TechnicalNote"],
Cell[43800, 934, 32, 0, 26, "BulletedList"],
Cell[43835, 936, 31, 0, 26, "BulletedList"],
Cell[43869, 938, 33, 0, 26, "BulletedList"],
Cell[43905, 940, 27, 0, 26, "BulletedList"],
Cell[43935, 942, 661, 16, 30, "PreviousNext"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[44645, 964, 1350, 42, 78, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[46020, 1010, 28, 0, 62, "Section"],
Cell[CellGroupData[{
Cell[46073, 1014, 29, 0, 36, "Subsection"],
Cell[46105, 1016, 70, 0, 26, "Text"],
Cell[46178, 1018, 181, 7, 24, "TechnicalNote"],
Cell[46362, 1027, 532, 18, 56, "Text"],
Cell[46897, 1047, 38, 0, 26, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[46972, 1052, 34, 0, 36, "Subsection"],
Cell[47009, 1054, 213, 6, 40, "Input"],
Cell[47225, 1062, 37, 0, 26, "Text"],
Cell[47265, 1064, 661, 16, 30, "PreviousNext"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[47987, 1087, 1350, 42, 78, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[49362, 1133, 33, 0, 62, "Section"],
Cell[49398, 1135, 58, 0, 26, "Text"],
Cell[49459, 1137, 103, 2, 24, "TechnicalNote"],
Cell[49565, 1141, 661, 16, 30, "PreviousNext"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[50275, 1163, 1350, 42, 78, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[51650, 1209, 33, 0, 62, "Section"],
Cell[CellGroupData[{
Cell[51708, 1213, 30, 0, 26, "Subsubsection"],
Cell[51741, 1215, 141, 4, 36, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[51919, 1224, 29, 0, 18, "Subsubsection"],
Cell[51951, 1226, 206, 7, 36, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[52194, 1238, 31, 0, 18, "Subsubsection"],
Cell[52228, 1240, 147, 3, 36, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[52412, 1248, 31, 0, 18, "Subsubsection"],
Cell[52446, 1250, 93, 2, 36, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[52576, 1257, 33, 0, 18, "Subsubsection"],
Cell[52612, 1259, 95, 2, 36, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[52744, 1266, 32, 0, 18, "Subsubsection"],
Cell[52779, 1268, 71, 1, 42, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[52887, 1274, 29, 0, 18, "Subsubsection"],
Cell[52919, 1276, 106, 3, 37, "Text"],
Cell[53028, 1281, 202, 11, 37, "Text"],
Cell[53233, 1294, 196, 8, 37, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[53466, 1307, 66, 0, 18, "Subsubsection"],
Cell[53535, 1309, 1538, 42, 238, "Input"],
Cell[55076, 1353, 661, 16, 81, "PreviousNext"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[55798, 1376, 1350, 42, 78, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[57173, 1422, 32, 0, 62, "Section"],
Cell[57208, 1424, 40, 0, 24, "TechnicalNote"],
Cell[57251, 1426, 49, 0, 24, "TechnicalNote"],
Cell[57303, 1428, 661, 16, 30, "PreviousNext"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[58013, 1450, 1350, 42, 78, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[59388, 1496, 39, 0, 62, "Section"],
Cell[59430, 1498, 63, 1, 24, "Input"],
Cell[59496, 1501, 327, 10, 56, "Text"],
Cell[59826, 1513, 60, 0, 26, "Text"],
Cell[59889, 1515, 149, 4, 24, "Input"],
Cell[60041, 1521, 894, 26, 39, "Input"],
Cell[60938, 1549, 661, 16, 30, "PreviousNext"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[61648, 1571, 1350, 42, 78, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[63023, 1617, 31, 0, 36, "Subsection"],
Cell[63057, 1619, 617, 20, 37, "Input",
 CellTags->"index00040"],
Cell[63677, 1641, 62, 0, 26, "Text"],
Cell[63742, 1643, 1046, 36, 69, "Input",
 CellTags->"index00041"],
Cell[64791, 1681, 257, 9, 35, "Input"],
Cell[65051, 1692, 257, 9, 34, "Input"],
Cell[65311, 1703, 661, 16, 30, "PreviousNext"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[66021, 1725, 1350, 42, 78, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[67396, 1771, 41, 0, 62, "Section"],
Cell[67440, 1773, 300, 7, 41, "Text"],
Cell[67743, 1782, 84, 2, 24, "Input"],
Cell[67830, 1786, 161, 3, 41, "Text"],
Cell[67994, 1791, 594, 14, 84, "Input",
 Evaluatable->False],
Cell[68591, 1807, 344, 14, 41, "Text"],
Cell[68938, 1823, 182, 7, 97, "DisplayCellStructure",
 Evaluatable->False],
Cell[69123, 1832, 180, 7, 97, "DisplayCellStructure",
 Evaluatable->False],
Cell[69306, 1841, 661, 16, 30, "PreviousNext"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[70016, 1863, 1350, 42, 78, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[71391, 1909, 32, 0, 62, "Section"],
Cell[71426, 1911, 235, 7, 26, "Text"],
Cell[71664, 1920, 78, 0, 26, "Text"],
Cell[71745, 1922, 45, 0, 24, "TechnicalNote"],
Cell[71793, 1924, 64, 0, 26, "Text"],
Cell[71860, 1926, 489, 10, 114, "Input"],
Cell[72352, 1938, 281, 5, 41, "Text"],
Cell[72636, 1945, 574, 20, 33, "Input"],
Cell[73213, 1967, 37, 0, 26, "Text"],
Cell[73253, 1969, 661, 16, 30, "PreviousNext"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[73963, 1991, 1350, 42, 78, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[75338, 2037, 33, 0, 62, "Section"],
Cell[75374, 2039, 176, 3, 41, "Text"],
Cell[75553, 2044, 200, 9, 26, "Text"],
Cell[75756, 2055, 127, 3, 26, "BulletedList"],
Cell[75886, 2060, 68, 0, 26, "BulletedList"],
Cell[75957, 2062, 83, 1, 26, "BulletedList"],
Cell[76043, 2065, 137, 3, 26, "BulletedList"],
Cell[76183, 2070, 362, 17, 41, "Text"],
Cell[76548, 2089, 244, 7, 41, "Text"],
Cell[76795, 2098, 42, 0, 24, "TechnicalNote"],
Cell[76840, 2100, 42, 0, 24, "TechnicalNote"],
Cell[76885, 2102, 35, 0, 24, "TechnicalNote"],
Cell[76923, 2104, 102, 3, 33, "Input"],
Cell[77028, 2109, 661, 16, 30, "PreviousNext"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[77738, 2131, 1350, 42, 78, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[79113, 2177, 52, 0, 62, "Section"],
Cell[79168, 2179, 59, 0, 26, "Text"],
Cell[79230, 2181, 378, 11, 28, "Input"],
Cell[79611, 2194, 378, 11, 33, "Input"],
Cell[79992, 2207, 860, 28, 33, "Input"],
Cell[80855, 2237, 236, 6, 27, "Input"],
Cell[81094, 2245, 180, 3, 41, "Text"],
Cell[81277, 2250, 661, 16, 30, "PreviousNext"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[81987, 2272, 1350, 42, 78, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[83362, 2318, 44, 0, 62, "Section"],
Cell[CellGroupData[{
Cell[83431, 2322, 29, 0, 36, "Subsection"],
Cell[83463, 2324, 431, 13, 29, "Input",
 CellTags->"index00190"],
Cell[83897, 2339, 504, 15, 31, "Input"],
Cell[84404, 2356, 501, 19, 35, "Text",
 CellTags->"index00191"],
Cell[84908, 2377, 151, 4, 26, "Text"],
Cell[85062, 2383, 396, 14, 39, "Input"],
Cell[85461, 2399, 190, 5, 24, "Input"],
Cell[85654, 2406, 549, 20, 24, "Input",
 CellTags->"index00193"],
Cell[86206, 2428, 46, 0, 26, "Text"],
Cell[86255, 2430, 543, 17, 31, "Input"],
Cell[86801, 2449, 801, 27, 33, "Input"],
Cell[87605, 2478, 801, 27, 33, "Input"],
Cell[88409, 2507, 285, 9, 31, "Input"],
Cell[88697, 2518, 111, 4, 26, "Text",
 CellTags->"index00194"],
Cell[88811, 2524, 597, 17, 39, "Input"],
Cell[89411, 2543, 93, 4, 26, "Text",
 CellTags->"index00195"],
Cell[89507, 2549, 842, 23, 152, "Input"],
Cell[90352, 2574, 352, 11, 43, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[90753, 2591, 31, 0, 76, "Section"],
Cell[90787, 2593, 328, 13, 43, "Text"],
Cell[91118, 2608, 841, 29, 58, "Input"],
Cell[91962, 2639, 66, 1, 36, "Input"],
Cell[92031, 2642, 599, 19, 50, "Input"],
Cell[92633, 2663, 723, 24, 50, "Input"],
Cell[93359, 2689, 841, 26, 50, "Input"],
Cell[94203, 2717, 661, 16, 81, "PreviousNext"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

